console-setup (1.205ubuntu1) impish; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Merge from Debian unstable. Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 11 Aug 2021 16:40:34 +0200

console-setup (1.205) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Finnish (fi.po) by Kimmo Kujansuu

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 23 Jul 2021 19:05:53 +0200

console-setup (1.204) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Lithuanian (lt.po) by Gediminas Murauskas
  * Turkish (tr.po) by Fatih Altun

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Jul 2021 16:30:43 +0200

console-setup (1.203) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by Fahim Sabah
  * Greek (el.po) by Michalis
  * Persian (fa.po) by Sina Carnelious
  * Japanese (ja.po) by Nozomu KURASAWA
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 30 May 2021 22:30:16 +0200

console-setup (1.202) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Hindi (hi.po) by Aryan L
  * Lithuanian (lt.po) by Kornelijus Tvarijanavičius

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 20 Mar 2021 21:54:30 +0100

console-setup (1.201ubuntu2) hirsute; urgency=medium

  * Stop building the udeb on request.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Feb 2021 14:28:53 +0100

console-setup (1.201ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Feb 2021 13:10:01 +0100

console-setup (1.201) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Bengali (bn.po) by Indrani Roy
  * Catalan (ca.po) by d
  * Danish (da.po) by Michael Millet
  * Spanish (es.po) by Javier FernÃ¡ndez-Sanguino
  * Estonian (et.po) by Kristjan RÃ¤ts
  * Galician (gl.po) by mantinan
  * Hindi (hi.po) by KushagraKarira
  * Kabyle (kab.po) by Selyan Sliman Amiri
  * Latvian (lv.po) by Tranzistors
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by TTT DEAL
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 18 Feb 2021 22:42:35 +0100

console-setup (1.200) unstable; urgency=medium

  * Team upload.

  * Fix missing changelog entries for 1.199.

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn Ã Felli
  * Romanian (ro.po) by Sergiu
  * Serbian (sr.po) by Filipovic Dragan

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 31 Dec 2020 22:19:38 +0100

console-setup (1.199) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Remove duplicated Section: and Priority: fields.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Greek (el.po) by EG
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * French (fr.po) by Baptiste Jammet
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by Milo Ivir
  * Indonesian (id.po) by Andika Triwidada
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Kurdish (ku.po) by Lecwan Munzur
  * Norwegian Bokmal (nb.po) by Allan Nordhøy
  * Dutch (nl.po) by Frans Spiesschaert
  * Occitan (oc.po) by Quentin PAGÈS
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Brazilian Portuguese (pt_BR.po) by Adriano Rafael Gomes
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Kristoffer Grundström

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 Dec 2020 02:02:30 +0100

console-setup (1.198ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 09 Nov 2020 16:03:40 +0100

console-setup (1.198) unstable; urgency=medium

  * Team upload

  * Add Berber (Latin) keymap for new language Kabyle.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Italian (it.po) by Milo Casagrande
  * Marathi (mr.po) by Prachi Joshi
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 29 Oct 2020 18:59:47 +0100

console-setup (1.197) unstable; urgency=medium

  * Team upload

  [ Anton Zinoviev ]
  * standard.equivalents: map more aggressively the box drawing symbols.
    Mappings for ballot symbols.  Thanks to Nick Black, closes: #965029.
  * sync the Terminus font with the xfonts-terminus package (new upstream
    version with new font size 18x10, apply the patches dv1.diff (modified
    Cyrillic letters d and v) and td1.diff (centered tilde)).
  * console-setup.templates: remove references for the console-tools
    package which is no longer in the Debian archive.  Do not refer to the
    font size at boot time which is irrelevant with framebuffer.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Greek (el.po) by root
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by Abbas Baharforoosh
  * French (fr.po) by Baptiste Jammet
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by Milo Ivir
  * Indonesian (id.po) by Andika Triwidada
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Yogesh
  * Dutch (nl.po) by Frans Spiesschaert
  * Polish (pl.po) by Bartosz Feński
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Serbian (sr.po) by Filipovic Dragan
  * Swedish (sv.po) by Anders Jonsson
  * Uyghur (ug.po) by Abdusalam
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 21 Sep 2020 21:32:54 +0200

console-setup (1.196) unstable; urgency=medium

  * Team upload

  [ Sergey V. Udaltsov ]
  * Sort out licensing issue for Latvian.

  [ Anton Zinoviev ]
  * Keyboard/ckb: update with keyboard data of version 2.29 of xkb files.
    (This change is not relevant for the binary packages in Debian.)

  [ Laurent Vivier ]
  * Drop macintosh_old layout and replace it with the macintosh layout.

  [ Holger Wansing]
  * Build-depend on debhelper >= 9.20160709, and remove dependency on empty
    transitional package dh-systemd. Closes: #958612

  [ Updated translations ]
  * Malayalam by Fahad Shihab
  * Tamil by Jeyanthinath MuthuRam

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 Jul 2020 20:23:26 +0200

console-setup (1.195ubuntu2) groovy; urgency=medium

  * Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
    Terminus font, at multitiple sizes, and it correctly selects low/high
    dpi font size, based on screen resolution. LP: #1880266

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 23 May 2020 04:58:43 +0100

console-setup (1.195ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
  * Dropped changes, included in Debian:
    - keyboard-configuration.config:
      replace not intuitive second lt(us) layout with us(altgr-intl),
      which contains Euro (€) and other symbols, often used in Lithuania.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 17:17:51 -0700

console-setup (1.195) unstable; urgency=medium

  [ Mantas Kriaučiūnas ]
  * Fix Lithuanian layout Closes: #951387
    in keyboard-configuration.config: replace not intuitive second lt(us)
    layout with us(altgr-intl), which contains Euro (€) and other symbols,
    often used in Lithuania. us layout is used by the majority of
    Lithuanian users as second layout.

  [ D-I role ]
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Mar 2020 13:34:12 +0000

console-setup (1.194ubuntu3) focal; urgency=medium

  [ Mantas Kriaučiūnas ]
  * keyboard-configuration.config:: 
    replace not intuitive second lt(us) layout with us(altgr-intl),
    which contains Euro (€) and other symbols, often used in Lithuania.
    (lp: #1863001)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 11:10:06 +0100

console-setup (1.194ubuntu2) focal; urgency=medium

  * debian/keyboard-configuration.config:
    - change back the french default layout to be fr+oss and not fr+latin9
      the change was dropped by error in a previous merge

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Dec 2019 15:09:57 +0100

console-setup (1.194ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
  * Dropped changes:
    - kbdnames-maker: Call `{bind,}textdomain` after switching locale.
  * debian/control: Build depend on keymapper

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Nov 2019 15:34:42 +0100

console-setup (1.194) unstable; urgency=medium

  * Team upload

  [ Julien Cristau ]
  * keyboard_present: don't check for Linux 1.x.  Thanks, Ansgar!

  [ Updated translations ]
  * Portuguese (pt.po) by Miguel Figueiredo
  * Tamil (ta.po) by leela
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Nov 2019 22:42:11 +0100

console-setup (1.193) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Tajik (tg.po) by Victor Ibragimov

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 04 Aug 2019 12:08:32 +0200

console-setup (1.192) unstable; urgency=medium

  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927511)
  * Merge patch by Iain Lane to fix internationalization issues when
    switching locales with Perl >= 5.28 (Closes: #924657, LP: #1817453).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 04 Jul 2019 17:41:47 +0200

console-setup (1.191ubuntu3) eoan; urgency=medium

  * No change rebuild to include all previous changes

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 23 Apr 2019 13:38:57 +0200

console-setup (1.191ubuntu2) eoan; urgency=medium

  * Call setupcon --force only when debian-installer is active
    and always redirect output to /dev/null to not block. (LP: #520546)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 23 Apr 2019 13:08:17 +0200

console-setup (1.191ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - kbdnames-maker: Call `{bind,}textdomain` after switching locale.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
  * Dropped changes:
    - drop handling of obsolete upstart jobs, not needed post-18.04.
    - drop breaks/replaces on ancient keyboard-configuration package.
    - keyboard-configuration.config: drop layout migration code, which
      definitely predates bionic.
  * debian/console-setup.initramfs-top: only ever initialize /dev/tty1.  We
    do not ever use more than 1 VT in the initramfs, and we reinitialize
    anyway from the rootfs so this saves us no time (and in fact wastes a
    lot of time in some configurations).  LP: #1823327.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 07:27:25 -0700

console-setup (1.191) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Mar 2019 21:13:24 +0100

console-setup (1.190) unstable; urgency=medium

  * Team upload

  * console-setup(5) manpage: correct section of setfont manpage and remove
    reference to no-longer existing consolechars manpage. Closes: #920312

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 04 Mar 2019 04:44:51 +0100

console-setup (1.189) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Correct release date/time of version 1.188 in changelog file.
  * Remove trailing whitespaces from control and rules files, to fix
    lintian tag.

  [ Antonio Larrosa ]
  * Keyboard: Translate ISO_Left_Tab to Meta_Tab. Closes: #920287

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Finnish (fi.po) by Juhani Numminen
  * Hebrew (he.po) by Yaron Shahrabani
  * Traditional Chinese (zh_TW.po) by Louies

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 08 Feb 2019 23:22:53 +0100

console-setup (1.188) unstable; urgency=medium

  * Team upload

  [ Holger Wansing]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.
  * Remove Multi-Arch declaration for all udebs, there is no point of this
    ATM; fixes 'unknown-field-in-control' lintian tag.

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * Catalan (ca.po) by Jordi Mallach
  * Greek (el.po) by Vangelis Skarmoutsos
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Finnish (fi.po) by Juhani Numminen
  * Gujarati (gu.po) by Kartik Mistry
  * Polish (pl.po) by Michał Kułach
  * Romanian (ro.po) by Andrei Popescu

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 22 Dec 2018 13:50:46 +0100

console-setup (1.187) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Asturian (ast.po) by Xuacu Saturio
  * Finnish (fi.po) - minor fixes
  * French (fr.po) - minor fixes
  * German (de.po) by Holger Wansing
  * Hindi (hi.po) by Himanshu Awasthi
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Nayan Nakhare
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Turkish (tr.po) by Mert Dirik

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 29 Oct 2018 22:16:34 +0100

console-setup (1.186) unstable; urgency=medium

  * Team upload

  [ Holger Wansing]
  * Change deprecated Priority: extra into optional.
  * Fix spelling of 'argumengs' in changelog.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Galician (gl.po) by mantinan
  * Croatian (hr.po) by Valentin Vidic

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Sep 2018 20:06:37 +0200

console-setup (1.185) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * setupcon(findfile): Do not use `ls` in order to find a file because
    `ls` sorts its arguments.  Thanks to Alexey Shilin (patch provided),
    closes: #898303.
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Esperanto (eo.po) by Felipe Castro
  * Finnish (fi.po) by Arto Keiski
  * Hebrew (he.po) by Yaron Shahrabani
  * Icelandic (is.po) by Sveinn í Felli
  * Indonesian (id.po) by Andika Triwidada
  * Kannada (kn.po) by Yogesh
  * Korean (ko.po) by Changwoo Ryu
  * Norwegian Bokmål (nb.po) by Allan Nordhøy
  * Dutch (nl.po) by Frans Spiesschaert
  * Serbian (sr.po) by Filipovic Dragan
  * Swedish (sv.po) by Anders Jonsson
  * Telugu (te.po) by Praveen Illa
  * Simplified Chinese (zh_CN.po) by Boyuan Yang
  * Traditional Chinese (zh_TW.po) by Anthony Wong

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 14 Aug 2018 14:24:24 +0200

console-setup (1.184) unstable; urgency=medium

  [ Updated translations ]
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Apr 2018 06:55:00 +0200

console-setup (1.183) unstable; urgency=medium

  [ Anton Zinoviev ]
  * Support for U+202F NARROW NO-BREAK SPACE.  Thanks to Alexey Shilin,
    closes: #895047.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 11 Apr 2018 23:15:51 +0300

console-setup (1.182) unstable; urgency=medium

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Mar 2018 08:29:50 +0200

console-setup (1.181) unstable; urgency=medium

  [ Updated translations ]
  * Welsh (cy.po) by Huw Waters
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Moo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Sat, 24 Mar 2018 07:57:04 +0100

console-setup (1.180) unstable; urgency=medium

  * debian/console-setup.config: Fix getting codeset from codesets
    (Closes: Bug#892900)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Mar 2018 10:02:13 +0100

console-setup (1.179) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/font-switch: Complete language coverage.
  * debian/rules: Include more fonts for more complete speakup & brltty
    support.
  * debian/console-setup.config: Fix typo for Ethiopian font codeset.
  * Add FullCyrAsia, FullCyrSlav and FullGreek variants which are 512-glyph
    fonts without the character equivalence, which is needed for screen
    readers to properly get the text.

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Mar 2018 19:12:28 +0100

console-setup (1.178ubuntu12) disco; urgency=medium

  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Apr 2019 12:51:56 -0700

console-setup (1.178ubuntu11) disco; urgency=medium

  * kbdnames-maker: Call `{bind,}textdomain` after switching locale.
    There's a change in perl 5.28 to use `uselocale()` & friends instead of
    gettext directly, to support thread safety. Apparently this causes the
    results of `gettext()` calls to be cached now where they weren't before,
    and this breaks our keyboard name generation. For example, we have
    `en_GB*model*sun_type6_jp*Sun Type 6 (Japonesa)` instead of
    `en_GB*model*sun_type6_jp*Sun Type 6 (Japanese)`, and many many other
    examples.  Calling `bindtextdomain()` and then `textdomain()` after
    changing locale causes the cache to be invalidated and we get correct
    results again. LP: #1817453

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 15 Mar 2019 12:34:06 +0000

console-setup (1.178ubuntu10) disco; urgency=medium

  * No-change rebuild to pick up any new keyboard data. Resolves crash
    in Ubiquity KDE front end on non English language selection. (LP: #1810647)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 23 Jan 2019 07:34:00 +0000

console-setup (1.178ubuntu9) cosmic; urgency=medium

  * keyboard-configuration.config: Fix exit/return thinko (LP: #1788597)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Aug 2018 16:32:45 -0600

console-setup (1.178ubuntu8) cosmic; urgency=medium

  * keyboard-configuration.config: Only treat missing XKBOPTIONS as empty.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Aug 2018 17:32:23 -0600

console-setup (1.178ubuntu7) cosmic; urgency=medium

  * keyboard-configuration.config: While sourcing config files to re-seed
    debconf, load missing variables as empty values of same (LP: #1762952)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Aug 2018 16:50:48 -0600

console-setup (1.178ubuntu6) cosmic; urgency=medium

  * keyboard-configuration.{config,templates}: There is no good default for
    layout toggling, stop pretending there is.  Console users can set one
    with dpkg-reconfigure or editing /etc/defaults/keyboard (LP: #1762952)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Jul 2018 05:50:59 -0600

console-setup (1.178ubuntu5) cosmic; urgency=medium

  * Revert to 1.178ubuntu2, as 1.178ubuntu[34] caused an installer regression.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2018 19:34:59 -0600

console-setup (1.178ubuntu4) cosmic; urgency=medium

  * debian/console-setup-udeb.postinst: Guard the dpkg call in the postinst,
    so it isn't attempted in the debian-installer environment (LP: #1782835)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Jul 2018 14:22:45 -0600

console-setup (1.178ubuntu3) cosmic; urgency=medium

  * debian/keyboard-configuration.postinst:
    - Don't change /etc/default/keyboard at package upgrades on
      desktops, since it may conflict with how desktops deal with
      keyboard configuration (LP: #1762952).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 15 May 2018 01:12:00 +0200

console-setup (1.178ubuntu2) bionic; urgency=medium

  * debian/keyboard-configuration.config:
    - Drop the xkb-keymap bits once again as we're not ready for those yet, as
      it's currently causing an invalid default layout in the installer.
      (LP: #1758647)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 19 Apr 2018 08:53:32 +0200

console-setup (1.178ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Tolerate absence of setupcon in postinst scripts.
    - Added templates for keyboard detection.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - Map ppc64el/* to XKBMODEL=pc105.
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - Don't make debian/copyright a symlink to COPYRIGHT, this is disallowed
      by the Ubuntu archive installer.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - setupcon:
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap cache
        on boot.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - Add console-setup-tty and the udev rule that uses it to set Unicode, font,
      and keyboard mode at early boot.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - Don't cat over the keymaps; they're already moved to the right place.
    - debian/console-setup.postinst: Replace the checking of fgconsole in [1-6]
      with checking if fgconsole is a tty according to logind. The previous
      assumption was that a graphical environment would be on vt7, which isn't
      true with gnome-shell any more.
    - debian/console-setup.postinst, debian/keyboard-configuration.postinst:
      Don't call setupcon --force -k any more - it breaks wayland sessions.
      (LP: #1710637)
    - debian/control: drop console-setup-freebsd: we don't keep it around since
      it's uninstallable because vidcontrol/kbdcontrol.
    - debian/keyboard-configuration.config: re-lower the priority for the layout
      question that got garbled in the merge.
    - Don't use console-setup-tty or its udev rule. This dates back to lucid and
      now systemd is apparently able to handle this correctly. It's now actively
      breaking graphical sessions. (LP: #1710637) 
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - Drop dependency from console-setup to initramfs-tools |
      linux-initramfs-tool; this was a versioned dependency used for upgrades,
      now long obsolete.
  * Fix previous patches:
    - Correctly setup console in initramfs again (LP: #1719612)
    - Make COPYRIGHT a symlink to debian/copyright, and keep various
      other symlinks in place that were dropped in earlier uploads.
    - Do some extra work to disable kfreebsd, dh was complaining about
      unknown packages and failing.
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 19 Feb 2018 09:29:02 +0100

console-setup (1.178) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Al Qalit
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Feb 2018 07:22:38 +0100

console-setup (1.177) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Wed, 31 Jan 2018 08:26:05 +0100

console-setup (1.176) unstable; urgency=medium

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Petter Reinholdtsen
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Jan 2018 08:19:36 +0100

console-setup (1.175) unstable; urgency=medium

  [ Updated translations ]
  * Bokmål, Norwegian (nb.po) by Alexander Jansen
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jan 2018 11:53:28 +0100

console-setup (1.174) unstable; urgency=medium

  [ Updated translations ]
  * Nepali (ne.po) by Jeewal Kunwar
  * Simplified Chinese (zh_CN.po) by Boyuan Yang
  * Traditional Chinese (zh_TW.po) by Chang-Chia Tseng

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Dec 2017 16:39:22 +0100

console-setup (1.173) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Swedish (sv.po) by Anders Jonsson
  * Tagalog (tl.po) by Eric Pareja

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Dec 2017 08:07:42 +0100

console-setup (1.172) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Wed, 29 Nov 2017 06:51:08 +0100

console-setup (1.171) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Nov 2017 20:09:22 +0100

console-setup (1.170) unstable; urgency=medium

  [ Updated translations ]
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Tue, 31 Oct 2017 08:20:17 +0100

console-setup (1.169) unstable; urgency=medium

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Oct 2017 06:51:11 +0200

console-setup (1.168) unstable; urgency=medium

  [ Updated translations ]
  * Latvian (lv.po) by Rūdolfs Mazurs

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Oct 2017 08:34:17 +0200

console-setup (1.167) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Hebrew (he.po) by Lior Kaplan
  * Albanian (sq.po) by Silva Arapi

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Sep 2017 06:16:35 +0200

console-setup (1.166ubuntu7) artful; urgency=medium

  * Drop dependency from console-setup to initramfs-tools |
    linux-initramfs-tool; this was a versioned dependency used for upgrades,
    now long obsolete.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Oct 2017 12:04:08 -0700

console-setup (1.166ubuntu6) artful; urgency=medium

  * debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
    build a complete set of translated keyboard layout/variant names.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 28 Sep 2017 17:46:56 -0400

console-setup (1.166ubuntu5) artful; urgency=medium

  * Don't use console-setup-tty or its udev rule. This dates back to lucid and
    now systemd is apparently able to handle this correctly. It's now actively
    breaking graphical sessions. (LP: #1710637) 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 18 Sep 2017 16:36:50 -0400

console-setup (1.166ubuntu4) artful; urgency=medium

  * Keyboard/Makefile: Add a rule to make KeyboardNames.pl, needed by ubiquity
    (see Debian Bug#874474)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 06 Sep 2017 13:39:01 +0100

console-setup (1.166ubuntu3) artful; urgency=medium

  * debian/keyboard-configuration.config: re-lower the priority for the layout
    question that got garbled in the merge.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 05 Sep 2017 14:58:49 -0400

console-setup (1.166ubuntu2) artful; urgency=medium

  * debian/control: drop console-setup-freebsd: we don't keep it around since
    it's uninstallable because vidcontrol/kbdcontrol.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 23 Aug 2017 19:06:27 -0400

console-setup (1.166ubuntu1) artful; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Merge from Debian unstable; remaining changes:
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Tolerate absence of setupcon in postinst scripts.
    - Added templates for keyboard detection.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - Map ppc64el/* to XKBMODEL=pc105.
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - Don't make debian/copyright a symlink to COPYRIGHT, this is disallowed
      by the Ubuntu archive installer.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - setupcon:
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap cache
        on boot.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - Add console-setup-tty and the udev rule that uses it to set Unicode, font,
      and keyboard mode at early boot.
  * Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
    from xkb-data.
  * Don't cat over the keymaps; they're already moved to the right place.

  [ Iain Lane ]
  * debian/console-setup.postinst: Replace the checking of fgconsole in [1-6]
    with checking if fgconsole is a tty according to logind. The previous
    assumption was that a graphical environment would be on vt7, which isn't
    true with gnome-shell any more.
  * debian/console-setup.postinst, debian/keyboard-configuration.postinst:
    Don't call setupcon --force -k any more - it breaks wayland sessions.
    (LP: #1710637)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 10 Aug 2017 15:06:17 -0400

console-setup (1.166) unstable; urgency=medium

  [ Updated translations ]
  * Bokmål, Norwegian (nb.po) by Petter Reinholdtsen

 -- Christian Perrier <bubulle@debian.org>  Mon, 03 Jul 2017 10:22:46 +0200

console-setup (1.165) unstable; urgency=medium

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by Yangfl
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Jun 2017 08:31:44 +0200

console-setup (1.164) unstable; urgency=medium

  [ Updated translations ]
  * Croatian (hr.po) by Valentin Vidic

 -- Christian Perrier <bubulle@debian.org>  Fri, 07 Apr 2017 05:55:28 +0200

console-setup (1.163) unstable; urgency=medium

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk

 -- Christian Perrier <bubulle@debian.org>  Fri, 03 Mar 2017 06:57:41 +0100

console-setup (1.162) unstable; urgency=medium

  [ Updated translations ]
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Fri, 24 Feb 2017 11:42:15 +0100

console-setup (1.161) unstable; urgency=medium

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Feb 2017 08:35:32 +0100

console-setup (1.160) unstable; urgency=medium

  [ Anton Zinoviev ]
  * keyboard-configuration.preinst: run update-rc.d only after the
    obsoleted configuration files have been removed. Thanks to
    sacrificial-spam-address@ and Mateusz Łukasik, closes: #817232.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Christian Perrier <bubulle@debian.org>  Thu, 09 Feb 2017 07:11:47 +0100

console-setup (1.158) unstable; urgency=medium

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jan 2017 07:05:30 +0100

console-setup (1.157) unstable; urgency=medium

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Jan 2017 06:55:54 +0100

console-setup (1.156) unstable; urgency=medium

  [ Updated translations ]
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Jan 2017 08:43:55 +0100

console-setup (1.155) unstable; urgency=medium

  [ Anton Zinoviev ]
  * Add three Kazakh symbols to CyrAsia: Cyrillic capital and small letter
    U with stroke and Tenge sign.  Thanks to Baurzhan Muftakhidinov,
    closes: #844579.

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Dec 2016 06:54:02 +0100

console-setup (1.154) unstable; urgency=medium

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Nov 2016 09:13:24 +0100

console-setup (1.153) unstable; urgency=medium

  [ Anton Zinoviev ]
  * keyboard-configuration.config: use untranslated C kbdnames strings in
    case of failed iconv.  Thanks to ishikawa, closes: #842324.

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Nov 2016 07:43:27 +0100

console-setup (1.152) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload.

  [ Philip Hands ]
  * ensure setupcon generated script never has empty braces. Closes: #833053.

  [ Samuel Thibault ]
  * Make console-setup installable on hurd-any, d-i insists on having it.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Oct 2016 23:07:52 +0200

console-setup (1.151) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload.
  * rules: Fix race in parallel builds, closes: #837327.

  [ gregor herrmann and Samuel Thibault ]
  * Keyboard/kbdnames-maker, Keyboard/kbdcompiler, Keyboard/Makefile,
    debian/preprocessor, debian/rules: Pass ./KeyboardNames.pl to kbdnames-maker
    instead of KeyboardNames.pl, since perl does not look at '.' any
    more. Closes: #840209.

  [ Dominik George ]
  * keyboard-configuration.config: Fix mksh compatibility. Closes: #833378.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Oct 2016 18:30:39 +0200

console-setup (1.150) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Sep 2016 09:16:22 +0200

console-setup (1.149) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Sep 2016 17:53:38 +0200

console-setup (1.148) unstable; urgency=medium

  [ Karsten Merker ]
  * Typo fix in the setupcon manpage. Closes: #832595.

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Fri, 29 Jul 2016 08:06:33 +0200

console-setup (1.147) unstable; urgency=medium

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jul 2016 21:25:19 +0200

console-setup (1.146) unstable; urgency=medium

  * Rebuild with translation files that include complete information
    about translator and last update information.

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Jun 2016 21:49:08 +0200

console-setup (1.145) unstable; urgency=medium

  * Rebuild with translations back in place

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 May 2016 19:25:22 +0200

console-setup (1.144) unstable; urgency=medium

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 May 2016 15:13:01 +0200

console-setup (1.143) unstable; urgency=medium

  [ Anton Zinoviev ]
  * Use non-recursive make-files.  Closes: #767260.  Some ideas borrowed
    from http://mischasan.wordpress.com.
  * New configuration variable BEEP controlling the style of the system
    beep.  Documented in console-setup(5).
  * console-setup-{linux,freebsd}: Add an alternative dependency
    init-system-helpers (>= 1.29~) to initscripts.  Closes: #804988.
  * keyboard-setup.sh.init: remove the unnecessary "Should-Start: keymap
    udev".  Thanks to Felipe Sateler for the helpful discussion.
  * Move the main logic out of the init.d scripts into scripts installed in
    /lib/console-setup.
  * console-setup.service: move this service out of single user mode.  Do
    not require to run it before getty.
  * Keyboard/kbdcompiler: generate properly the precomiled keymaps for
    console-setup-mini; they have been totaly broken for a while...
  * Keyboard/{xmlreader,compose_translator}: use utf8 instead of the
    deprecated encoding pragma.

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 May 2016 08:47:29 +0200

console-setup (1.142ubuntu8) artful; urgency=medium

  * Drop upstart system jobs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Aug 2017 16:15:49 +0100

console-setup (1.142ubuntu7) artful; urgency=medium

  * Do the same as ubuntu6 in Keyboard/compose_translator too.
  * Cherry-pick b887014dc243d3966bbb6bda975803798df7c33f from Samuel Thibaut
    and 6800af170ff5017b67b7e0b85b61a6176eb56361 from Gregor Hermann, as well
    as fixing Keyboard/kbdnames - perl doesn't look at `.' any more.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 21 Aug 2017 10:48:31 +0100

console-setup (1.142ubuntu6) artful; urgency=medium

  * Use pragma utf8 instead of the deprecated encoding pragma. Shamelessly
    copied from Debian's 1.143 change by Anton Zinoviev.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 04 Aug 2017 15:23:53 -0400

console-setup (1.142ubuntu5) yakkety; urgency=medium

  * debian/console-setup-linux.setvtrgb.service: add condition to only
    execute when /dev/tty0 exists. This is the same condition as used by
    getty@.service unit to prevent attempting setting up VT when none are
    present. This is a common case on serial only architectures and
    virtual machines. Resolves degraded boots on s390x/ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Sep 2016 13:31:08 +0100

console-setup (1.142ubuntu4) yakkety; urgency=medium

  * debian/keyboard-configuration.postinst: we shouldn't fail if
    dpkg-maintscript-helpers can't figure out the package for removal of
    console-setup and keyboard-setup init scripts -- in ubiquity we won't have
    the outer checked directory /lib/debian-installer.d; and we won't have any
    files to remove on account of likely being a new install. (LP: #1578285)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 08 Jun 2016 14:39:12 -0400

console-setup (1.142ubuntu3) yakkety; urgency=medium

  * Replace initscripts dependency with init-system-helpers (>= 1.29~), to
    allow dropping initscripts at some point. (Closes: #804988)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 May 2016 08:15:32 +0200

console-setup (1.142ubuntu2) yakkety; urgency=medium

  * Unbreak my last console-setup upload:
    - debian/control: We want the locales package, not locales-all.
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
  * debian/rules: enable the setvtrgb.service correctly.
  * debian/rules: remove keyboard-configuration trying to install console-setup
    since it's now in console-setup.
  * debian/keyboard-configuration.links: removed.
  * debian/control: fix Breaks/Replaces so the initscript move to the
    console-setup-linux package from keyboard-configuration goes smoothly.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 23:38:34 -0400

console-setup (1.142ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - Don't gzip font or ACM files in /etc/console-setup/.  The space saving
      is negligible, and it's more efficient not to need to uncompress them
      at boot time.
    - Include pc105.tree for ubiquity.
    - Set keymap and font in the initramfs if possible and sensible.
    - Add an apport hook.
    - Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    - Include support for translated keyboard names.
    - Depend on debconf instead of pre-depending, because pre-depends have
      no effect on config scripts.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.upstart, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Make setupcon explicitly exit 0, so that postinsts don't fail in the
      event that loadkeys can't find a console.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - Drop the layout/variant priority to high on fresh installs.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default variant for French to oss.
    - Set default layout for Simplified Chinese to 'cn'.
    - Don't use the default keyboard variant if the layout is overridden by
      preseeding.
    - If keyboard-configuration/layoutcode is preseeded but not marked as
      seen, then set the default layout but don't lower the layout question
      priority or preseed console-setup/ask_detect.
    - Use the default keyboard model if an existing configuration file sets
      XKBMODEL="".
    - Go back to always asking layout before variant.
    - Fix keyboard layout detection to set the layout properly.
    - Reset keyboard-configuration/toggle to the default if it's set to "No
      toggling" and you select a non-Latin layout.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Load the new keyboard configuration immediately when running
      'dpkg-reconfigure keyboard-configuration' in an installed system.
    - Don't fail to configure keyboard-configuration if setxkbmap fails to
      talk to the X display.
    - Tolerate absence of setupcon in keyboard-configuration.postinst.
    - Drop the simplified keyboard-configuration/xkb-keymap question.
    - Fix command injection in ckbcomp.
    - debian/console-setup.console-font.upstart: Add Upstart job that sets up
      console font when plymouth-splash is starting.
    - Override description of the ch layout from "German (Switzerland)" to
      just "Switzerland".
    - Map ppc64el/* to XKBMODEL=pc105.
    - setupcon: Map XKBMODEL=SKIP to '' for compatibility with existing
      configs.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - setupcon: revert ridiculous upstream twiddling of keymap cache filenames:
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap cache
        on boot.
    - Move vtrgb handling to console-setup-linux package, since this is clearly
      Linux-specific.
    - Add missing console-setup-linux.prerm to remove /etc/vtrgb alternatives
    - Keyboard/kbdcompiler: fix bug in filtering of unsupported variants that
      breaks generation of the pc105.tree for d-i keyboard detection.
    - debian/keyboard-configuration.postinst: udpkg is not part of an installed
      Debian system; don't fail to configure if it's absent and the script is
      called outside of an installer context.
    - Don't make debian/copyright a symlink to COPYRIGHT, this is disallowed
      by the Ubuntu archive installer.
    - debian/keyboard-configuration.config: fix typo in model check for SKIP;
      even when looking up the layout/variant, we need to check for the model
      as XKBMODEL, since $model doesn't exist.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - Properly handle settings CODESET and FONSIZE when they equals 'guess' or
      are unset.
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/keyboard-configuration.config: run grep with -a (to deal with files
      as ASCII data) when searching for keyboard, locale, and layout names.
    - Add ConditionPathExists=/dev/tty0 to the console-setup.service, to
      avoid running the unit on platforms without virtual consoles
    - debian/rules: Drop obsolete and no-op dh_installinit --upstart-only
      option.
    - Add debian/keyboard-configuration.links to (statically) enable
      console-setup.service. It is not being pulled in by plymouth any more, and
      doing so was brittle and unexpected.
    - console-setup.service: Set RemainAfterExit.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - debian/control: allow dracut to be installable by adding an alternate
      depends on linux-initramfs-tool for console-setup.
    - Reinstate checking for XKBLAYOUT being in the config file: this handles
      the cases where installs done with ubiquity don't have their debconf seen
      flag set for model/layout questions. If layout is already configure, lower
      the corresponding question's priority to medium so we don't ask it again.
    - Add systemd unit for console-setup. That avoids waiting for $remote_fs
      during early boot. (Note: there is no need to enable it, it gets pulled
      in through systemd-vconsole-setup.service)
    - Drop console-setup-freebsd; it's useless and uninstallable given that we
      don't have a freebsd port.
    - Make debian/keyboard-configuration.console-setup.init do the same as the
      corresponding .upstart: I. e. just call loadkeys instead of setupcon, and
      don't check the current console. (Font loading is already done via udev
      rules).
  * Dropped changes, included in Debian:
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Montenegro and Serbia, and
      migrate configuration files from the old layouts.
  * Dropped changes, no longer needed:
    - Move boot tasks to a combination of two udev rules and a single
      Upstart job, ensuring that they're run at points when we are able to
      satisfy the constraints on the relevant ioctls.
    - Replace usplash detection code with Plymouth detection code.
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
  * debian/console-setup-linux.setvtrgb.service: port our vtrgb upstart job to
    a systemd unit service so we can again apply the right color scheme.
  * Fonts/Makefile: sort BDFS_TO_DOUBLE; this will avoid unnecessary delta
    showing on every upload just because the fonts are not in the same order.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 11:36:58 -0400

console-setup (1.142) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2016 17:47:41 +0200

console-setup (1.141) unstable; urgency=medium

  * Add systemd units wrapping the init scripts.
    Closes: #796603

 -- Felipe Sateler <fsateler@debian.org>  Fri, 01 Apr 2016 20:24:38 -0300

console-setup (1.140) unstable; urgency=medium

  [ Jon Boden ]
  * keyboard-configuration.postinst: Avoid hurd check on non-hurd systems,
    closes: #818842.

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Mar 2016 07:46:45 +0100

console-setup (1.139) unstable; urgency=medium

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Japanese (ja.po) by Kenshi Muto
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Mar 2016 07:09:41 +0100

console-setup (1.138) unstable; urgency=medium

  [ Anton Zinoviev ]
  * Changes in setupcon:
    - new option -t|--terminal-only.  The functionality of the
      old command 'setupcon -f' is now covered by 'setupcon -f -t';
    - new options --current-tty and --print-commands-only;
    - on Linux 'setupcon --save' creates in /etc/console-setup/
      configuration scripts for faster boot configuration;
    - on Linux load the font and the console map using only one
      setfont command;
    - when the keyboard model is unknown, use a default value and
      issue a warning.  Closes: #751955, #788441.  Apply a patch about
      KMAP by Michal Maruska;
    - more robust test whether /etc is writable, closes: #810246;
    - setup-dir: configure only the keyboard and only the current
      console.  Create a flag file /run/console-setup/keymap_loaded so
      that we can avoid loading the keyboard second time.
  * Changes in ckbcomp:
    - remove the 'use locale' pragma as suggested by Klaus Ethgen.
      Closes: #810538.
  * kbdcompiler: create a log file ckbcomp.log.
  * On Linux: use precomputed scripts and Udev to configure the console.
    Closes: #759657, #763695.
  * On Linux: move init.d/console-setup.sh out of single user mode.
    Closes: #796603, #816090.
  * Move the init scripts from keyboard-configuration to
    console-setup-linux and console-setup-freebsd.  Closes: #805928.
    Give them a .sh extension to make them sourcable.  Move the
    dependency on initscripts to these two packages.  Closes: #804988.
  * postinst: run update-rc.d with parameter 'defaults'. Closes: #722064.
  * Put db_stop near the end of console-setup.postinst.  Redirect all
    output of setupcon to /dev/null.  Hopefully, this
    closes: #782753, #776101.
  * debian/keyboard_present.sh: add a pattern for Bluetooth keyboards,
    closes: #807945.
  * keyboard-configuration.config: the Serbian keyboard layout is 'rs',
    not 'cs'.  For Bulgarian consider bg,bg as unsupported by Debconf.  Do
    not set default variant 'bds' for Bulgarian or 'latin' for Serbian but
    use default values instead.  Closes: #778721, #778722.
  * Remove Keyboard/locale/lib/ from the source package.  Closes: #787528
  * bug-control: add systemd to the packages in the package-status list.
  * Make the builds reproducible.  Thanks to Reiner Herrmann for the
    patch.  Closes: #775531.
  * Minor clarifications in man/keyboard.5
  * Make console-setup-linux and console-setup-freebsd conflict with each
    other so that lintian is pleased.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 02 Mar 2016 20:33:33 +0300

console-setup (1.137) unstable; urgency=medium

  [ Anton Zinoviev ]
  * bug-control: add gnome-control-center to the packages in the
    package-status list as it modifies /etc/default/keyboard.

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Feb 2016 07:08:37 +0100

console-setup (1.136) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Feb 2016 06:56:04 +0100

console-setup (1.135) unstable; urgency=medium

  [ Updated translations ]
  * Swedish (sv.po) by Martin Bagge / brother

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Jan 2016 08:09:47 +0100

console-setup (1.134) unstable; urgency=medium

  [ Colin Watson ]
  * debian/keyboard-configuration.postinst: Test for the Hurd using uname
    rather than udpkg, to avoid stderr noise in non-d-i contexts.

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Oct 2015 06:45:06 +0100

console-setup (1.133) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Sep 2015 06:49:17 +0200

console-setup (1.132) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Sep 2015 06:48:46 +0200

console-setup (1.131) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Jul 2015 07:32:23 +0200

console-setup (1.130) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Teach ckbcomp about PC_FN_LEVEL2, fixing issues with Nokia N900
    keyboard model (nokiarx51). Thanks to Sebastian Reichel for the report
    and the patch (Closes: #789816).

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Jun 2015 08:38:26 +0200

console-setup (1.129) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Jun 2015 19:14:13 +0200

console-setup (1.128) unstable; urgency=medium

  [ Updated translations ]
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 May 2015 06:10:02 +0200

console-setup (1.127) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 May 2015 15:05:08 +0200

console-setup (1.126) unstable; urgency=medium

  [ Updated translations ]
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 May 2015 20:20:44 +0200

console-setup (1.125) unstable; urgency=low

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 May 2015 14:58:09 +0200

console-setup (1.124) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Apr 2015 07:04:50 +0200

console-setup (1.123) unstable; urgency=low

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 Apr 2015 07:09:54 +0200

console-setup (1.122) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Apr 2015 05:57:20 +0200

console-setup (1.121) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Fri, 10 Apr 2015 22:41:15 +0200

console-setup (1.120) unstable; urgency=low

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Galician (gl.po) by Jorge Barreiro
  * Russian (ru.po) by Yuri Kozlov
  * Romanian (ro.po) by Bradut Boghita

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Mar 2015 07:25:31 +0100

console-setup (1.119) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Michał Kułach
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Anton Gladky
  * Vietnamese (vi.po) by Hai-Nam Nguyen

 -- Christian Perrier <bubulle@debian.org>  Mon, 09 Mar 2015 08:57:14 +0100

console-setup (1.118) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 Mar 2015 08:25:24 +0100

console-setup (1.117) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix default South Korea keymap in d-i, closes: #777740.
  * Add Burmese and Philipines choices.
  * Set default layout for Myanmar (Burmese), Philipines, and Marathi
    (Devanagari).
  * Fix default Devanagari layout: it is already the default, there is
    actually no "deva" variant advertised in XML.
  * Fix Uygur variant: it is called ug, not uig.
  * Remove us,deva transformation, it never happens.
  * Add us,cn transformation.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Feb 2015 07:26:03 +0100

console-setup (1.116) unstable; urgency=medium

  * Re-upload a clean(er) source package.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Nov 2014 10:58:20 +0100

console-setup (1.115) unstable; urgency=medium

  [ Anton Zinoviev ]
  * ckbcomp: define missing X keysyms.  Thanks to Martin-Éric Racine,
    closes: #762399.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 09 Nov 2014 21:58:45 +0200

console-setup (1.114) unstable; urgency=low

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Oct 2014 10:43:47 +0200

console-setup (1.113) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 09:51:03 +0200

console-setup (1.112) unstable; urgency=low

  [ Anton Zinoviev ]
  * setupcpn --setup-dir: process arguments differently to leave
    backslashes alone.  Thanks to Giorgio Marinelli, closes: #759546.

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Sep 2014 11:32:12 +0200

console-setup (1.111) unstable; urgency=low

  [ Anton Zinoviev ]
  * setupcon --setup-dir:
    - generate commands which do not require gzip in initrd;
    - simplify the code by more general handling of special shell symbols
      in command arguments.
    - do not remove temporary files before the script exits so that the
      code of --setup-dir is able to use a keymap stored in a termporary file;
  * Give prefix cached_ to files created in /etc/console-setup.  Remove
    such files when console-setup or console-setup-mini are removed or
    purged and /bin/setupcon doesn't exist.  Thanks to Andreas Beckmann
    and all contributors to the bug report.  Closes: #672160.  Files
    created by older versions of the package will not be removed.
  * ckbcomp: change the approximation method for non-defined symbols
    during the flattening phase.  This is a dangerous change, let's hope
    I've done it right.  Thanks to Artem Rusanov for the informative bug
    report, closes: #722566.
  * bdf2psf: allow omited trailing zero bytes in the BITMAP part of a BDF
    character definition.  Thanks to Ben Harris for the bug report and the
    patch, closes: #730430.
  * setupcon:
    - improve the output of setupcon --verbose;
    - run printf '\033%%@' and printf '\033%%G' in background.  I suppose
      this closes: #678897, #705971.  Thanks to Matteo Croce,
      John A. Livingston, Alban Browaeys, Stefano Forli,
      John D. Hendrickson, Sara Darnell, Hendrik Bijlsma and
      Daniele Di Domizio;
    - issue warnings about /etc being mounted read-only only if it actually
      needs to write something there.  Thanks to Michael Tokarev,
      closes: #691060;
    - Fix bugs related to setupcon VARIANT.  Thanks to Trent W. Buck,
      closes: #743476.
  * Mark all packages as "Multi-Arch: foreign".  Thanks to Guillem Jover
    and Noel David Torres Taño, closes: #694679.
  * keyboard.5: add https://wiki.archlinux.org/index.php/X_KeyBoard_extension
    as another source for further information.
  * setupcon.1: document the options --save-keyboard and --setup-dir to be
    used by initrd builders.
  * Use which instead of type in the config scripts to avoid lintian warnings.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 08 Aug 2014 14:21:19 +0300

console-setup (1.110) unstable; urgency=low

  [ Anton Zinoviev ]
  * Do not remember answer 'no' given to the question 'keep unsupported
    configuration'.  Thanks to Bernhard R. Link and Steve Cotton,
    closes: #729321.

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Aug 2014 09:00:30 +0200

console-setup (1.109) unstable; urgency=low

  [ Changwoo Ryu ]
  * Correct default keymap for South Korea. Closes: #756052

 -- Christian Perrier <bubulle@debian.org>  Sat, 26 Jul 2014 08:52:31 +0200

console-setup (1.108ubuntu15) xenial; urgency=medium

  * Properly handle settings CODESET and FONSIZE when they equals 'guess' or are unset.
    - console-setup-tty, debian/console-setup.initramfs-hook,
      debian/console-setup.initramfs-top
    (LP: #1565542) 

 -- Evgeniy Yanyuk <eugenenuke@gmail.com>  Tue, 19 Apr 2016 15:22:17 -0400

console-setup (1.108ubuntu14) xenial; urgency=medium

  * keyboard_present.sh: Quiet config/postinst when we have no USB devices.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Apr 2016 13:15:05 -0600

console-setup (1.108ubuntu13) xenial; urgency=medium

  * debian/keyboard-configuration.config: run grep with -a (to deal with files
    as ASCII data) when searching for keyboard, locale, and layout names.
    (LP: #1549529)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 04 Apr 2016 13:47:04 -0400

console-setup (1.108ubuntu12) xenial; urgency=medium

  * No-change rebuild to properly generate console-setup-udeb's list of
    valid keyboard layouts and variants.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 Mar 2016 10:50:39 -0400

console-setup (1.108ubuntu11) xenial; urgency=medium

  * Add ConditionPathExists=/dev/tty0 to the console-setup.service, to
    avoid running the unit on platforms without virtual consoles,
    e.g. s390x. LP: #1552733

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Mar 2016 14:41:05 +0000

console-setup (1.108ubuntu10) xenial; urgency=medium

  * debian/rules: Drop obsolete and no-op dh_installinit --upstart-only
    option. (LP: #1519228)
  * Add debian/keyboard-configuration.links to (statically) enable
    console-setup.service. It is not being pulled in by plymouth any more, and
    doing so was brittle and unexpected. (LP: #1531442)
  * console-setup.service: Set RemainAfterExit.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jan 2016 15:02:09 +0100

console-setup (1.108ubuntu9) wily; urgency=medium

  * Cherry-pick fix from git for udpkg/Hurd noise in keyboard-configuration.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Oct 2015 12:51:36 +0100

console-setup (1.108ubuntu8) wily; urgency=medium

  * Properly handle setting XKBVARIANT when using keyboard detection.
    (LP: #1506551)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Oct 2015 11:13:01 +0100

console-setup (1.108ubuntu7) wily; urgency=medium

  * Fix incorrect versioning change from last upload; initramfs-tools
    0.85eubuntu12 looks wrong but was in fact correct.
  * If the locale is C during configuration, only set CHARMAP to ISO-8859-15
    on kFreeBSD; otherwise restore the previous behaviour from before the
    kFreeBSD port of using UTF-8 in that case (LP: #1484101).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2015 11:18:04 +0100

console-setup (1.108ubuntu6) wily; urgency=medium

  * debian/control: allow dracut to be installable by adding an alternate
    depends on linux-initramfs-tool for console-setup.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Sep 2015 22:36:52 -0400

console-setup (1.108ubuntu5) vivid; urgency=medium

  * Reinstate checking for XKBLAYOUT being in the config file: this handles
    the cases where installs done with ubiquity don't have their debconf seen
    flag set for model/layout questions. If layout is already configure, lower
    the corresponding question's priority to medium so we don't ask it again.
    (LP: #1446231)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 21 Apr 2015 17:19:21 -0400

console-setup (1.108ubuntu4) vivid; urgency=medium

  * Add systemd unit for console-setup. That avoids waiting for $remote_fs
    during early boot. (Note: there is no need to enable it, it gets pulled
    in through systemd-vconsole-setup.service) (LP: #1430280)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 Mar 2015 15:33:49 +0100

console-setup (1.108ubuntu3) vivid; urgency=medium

  * Drop console-setup-freebsd; it's useless and uninstallable given that we
    don't have a freebsd port.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Mar 2015 10:15:31 -0500

console-setup (1.108ubuntu2) vivid; urgency=medium

  * Fix the mess I made with the previous upload:
  * Reinstate changelog entry from 1.70ubuntu10; the changes aren't necessary
    as keyboard-configuration does get the translated names of keyboards.
  * Reinstate changes from 1.70ubuntu11:
    - Make debian/keyboard-configuration.console-setup.init do the same as the
      corresponding .upstart: I. e. just call loadkeys instead of setupcon, and
      don't check the current console. (Font loading is already done via udev
      rules).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 02 Mar 2015 17:55:46 -0500

console-setup (1.108ubuntu1) vivid; urgency=medium

  [ Steve Langasek ]
  * Merge from Debian unstable, remaining changes: (LP: #1426721)
    - Don't gzip font or ACM files in /etc/console-setup/.  The space saving
      is negligible, and it's more efficient not to need to uncompress them
      at boot time.
    - Include pc105.tree for ubiquity.
    - Move boot tasks to a combination of two udev rules and a single
      Upstart job, ensuring that they're run at points when we are able to
      satisfy the constraints on the relevant ioctls.
    - Stop running debconf-updatepo on clean.
    - Set keymap and font in the initramfs if possible and sensible.
    - Add an apport hook.
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    - Include support for translated keyboard names.
    - Depend on debconf instead of pre-depending, because pre-depends have
      no effect on config scripts.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.upstart, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Make setupcon explicitly exit 0, so that postinsts don't fail in the
      event that loadkeys can't find a console.
    - Update for new layouts and variants for Montenegro and Serbia, and
      migrate configuration files from the old layouts.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - Drop the layout/variant priority to high on fresh installs.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default variant for French to oss.
    - Set default layout for Simplified Chinese to 'cn'.
    - Don't use the default keyboard variant if the layout is overridden by
      preseeding.
    - If keyboard-configuration/layoutcode is preseeded but not marked as
      seen, then set the default layout but don't lower the layout question
      priority or preseed console-setup/ask_detect.
    - Use the default keyboard model if an existing configuration file sets
      XKBMODEL="".
    - Go back to always asking layout before variant.
    - Fix keyboard layout detection to set the layout properly.
    - Reset keyboard-configuration/toggle to the default if it's set to "No
      toggling" and you select a non-Latin layout.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Replace usplash detection code with Plymouth detection code.
    - Load the new keyboard configuration immediately when running
      'dpkg-reconfigure keyboard-configuration' in an installed system.
    - Don't fail to configure keyboard-configuration if setxkbmap fails to
      talk to the X display.
    - Tolerate absence of setupcon in keyboard-configuration.postinst.
    - Drop the simplified keyboard-configuration/xkb-keymap question.
    - Fix command injection in ckbcomp.
    - debian/console-setup.console-font.upstart: Add Upstart job that sets up
      console font when plymouth-splash is starting.
    - Override description of the ch layout from "German (Switzerland)" to
      just "Switzerland".
    - Map ppc64el/* to XKBMODEL=pc105.
  * Dropped changes, included in Debian:
    - "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by keyboard-configuration/modelcode=SKIP: this is now
      supported upstream with either "unknown" or an empty string as the
      model.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Include Terminus font in the compiled packages.  Do not depend, but
      conflict/provide/replace console-terminus.  New upstream version of
      the Terminus font (4.32).
    - Explicitly build-depend on liblocale-gettext-perl for kbdnames-maker,
      and likewise have keyboard-configuration depend on
      liblocale-gettext-perl.
    - Make keyboard-configuration replace old console-setup/console-setup-mini
      versions as well as conflicting with them.
    - Weaken test for whether /usr is mounted; testing for /usr/share is
      sufficient, and fixes operation in d-i.
    - Set default layout for Kurdish to tr(ku).
  * Dropped changes, no longer needed:
    - Cope with systems installed with console-setup-udeb (<< 1.53) (which
      predates Ubuntu 12.04 and Debian wheezy).
    - Drop ancient handling of an empty codeset in the config file.
    - Drop vtrgb upgrade handling from natty
    - Drop upstart job transition from lucid
  * setupcon: Map XKBMODEL=SKIP to '' for compatibility with existing
    configs.
  * debian/rules: revert hard-coding of a list of "debconf-selectable"
    layouts for the udebs, since we don't use this debconf question in Ubuntu
    and all layouts are selectable.
  * setupcon: revert ridiculous upstream twiddling of keymap cache filenames:
    - the variables are taken from a config file which, if changed,
      invalidates the cache.
    - there is only ever one keyboard map per system.
    - the system should not have to resolve filenames to find the keymap cache
      on boot.
  * Move vtrgb handling to console-setup-linux package, since this is clearly
    Linux-specific.
  * Add missing console-setup-linux.prerm to remove /etc/vtrgb alternatives
  * Keyboard/kbdcompiler: fix bug in filtering of unsupported variants that
    breaks generation of the pc105.tree for d-i keyboard detection.
  * debian/keyboard-configuration.postinst: udpkg is not part of an installed
    Debian system; don't fail to configure if it's absent and the script is
    called outside of an installer context.
  * Don't make debian/copyright a symlink to COPYRIGHT, this is disallowed
    by the Ubuntu archive installer.

  [ Mathieu Trudel-Lapierre ]
  * debian/keyboard-configuration.config: fix typo in model check for SKIP;
    even when looking up the layout/variant, we need to check for the model
    as XKBMODEL, since $model doesn't exist.
  * debian/preprocessor: revert the removal of keyboard names (for size) of
    console-setup-udeb: we do need those, since we don't use the simplified
    xkb-keymap template from Debian just yet: this way we can still show
    country/language names when selecting a keyboard, layout or variant.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 27 Feb 2015 16:36:52 -0500

console-setup (1.108) unstable; urgency=low

  [ Updated translations ]
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2014 09:40:01 +0200

console-setup (1.107) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Apr 2014 16:51:59 +0200

console-setup (1.106) unstable; urgency=low

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Mar 2014 09:07:41 +0100

console-setup (1.105) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk

  [ Christian Perrier ]
  * Explicitly link to GPL-2 document in debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Jan 2014 13:41:32 +0100

console-setup (1.104) unstable; urgency=low

  * Use nepali keymap for Nepali and Tharu by default

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Dec 2013 14:49:33 +0100

console-setup (1.103) unstable; urgency=low

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 Nov 2013 22:14:09 +0100

console-setup (1.102) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Latvian (lv.po) by Rūdolfs Mazurs

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Oct 2013 14:57:17 +0200

console-setup (1.101) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Tomislav Krznar
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh C P (FSMK Localisation Team)
  * Malayalam (ml.po) by Anish Sheela
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Michał Kułach
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Uyghur (ug.po) by Abduqadir Abliz
  * Ukrainian (uk.po) by Yuri Chornoivan
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Oct 2013 19:37:09 +0200

console-setup (1.100) unstable; urgency=low

  [ Christian Perrier ]
  * Add Tibetan keyboard layout for D-I. Closes: #667056

  [ Samuel Thibault ]
  * Make Tibetan keyboard understood as non-latin layout.

  [ Christian Perrier ]
  * Add Tajik as keymap choice for D-I

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto
  * Slovak (sk.po) by Ivan Masár
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Sep 2013 07:00:34 +0200

console-setup (1.99) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Sep 2013 15:01:43 +0200

console-setup (1.98) unstable; urgency=low

  * Re-upload with more informative changelog. The change below was
    added in 1.97. Closes: #722069

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 15:39:08 +0200

console-setup (1.97) unstable; urgency=low

  * -

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 22:38:19 +0200

console-setup (1.96) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 18:49:55 +0200

console-setup (1.95) unstable; urgency=low

  * Set default keymap for Tajik

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Aug 2013 11:03:49 +0200

console-setup (1.94) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 12:24:32 +0200

console-setup (1.93) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not fail keyboard configuration on hurd console not running.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 19:17:40 +0200

console-setup (1.92) unstable; urgency=low

  [ Anton Zinoviev ]
  * keyboard-configuration.config: when in d-i properly update $STATE
    during the missing variant question.  This was causing an endless
    loop.  Thanks to Brian Potkin, closes: #697449.

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 11:32:22 +0100

console-setup (1.91) unstable; urgency=low

  * A wrong command in keyboard-configuration.config was breaking the
    configuration of almost all non-Latin languages.  Thanks to Theppitak
    Karoonboonyanan, closes: #697255.  Due to the way console-setup works,
    this version will fix automatically the damage caused by the previous
    version in /etc/default/keyboard.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 03 Jan 2013 19:53:08 +0200

console-setup (1.90) unstable; urgency=low

  [ Cyril Brulebois ]
  * Keyboard/xmlreader: Register the hwList tag as an ignored one, just
    like vendor is ignored already, which lets us get rid of a spurious
    warning in the build log (thanks, Holger & jenkins). Closes: #696754.

  [ Anton Zinoviev ]
  * Proofreading of debian/keyboard-configuration.config.  Make the file a
    little more readable with more comments.  Some changes in the logic.
    This probably fixes the important part of #693485.  Thanks to Bob Bib.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 01 Jan 2013 19:27:29 +0200

console-setup (1.89) unstable; urgency=low

  * Team upload.

  [ Updated translations ]
  * Marathi (mr.po) typo.

  * keyboard-configuration.config: Add support for preseeding xkb-keymap.
    Closes: Bug#696188.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Dec 2012 00:37:02 +0100

console-setup (1.88) unstable; urgency=low

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Dec 2012 07:00:49 +0100

console-setup (1.87) unstable; urgency=low

  [ Samuel Thibault ]
  * keyboard-configuration.config: Fix greek and ethiopian default layout into
    including a US group, closes: #691201. Thanks Alkis Georgopoulos for the
    report.

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Oct 2012 13:55:37 +0200

console-setup (1.86) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Hrishikesh K B

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Oct 2012 08:49:14 +0200

console-setup (1.85) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Oct 2012 13:08:32 +0200

console-setup (1.84) unstable; urgency=low

  * Turn /usr/share/doc/console-setup{,-mini} into symlinks. Thanks to
    Sven Joachim for the patch, closes: #657904.
  * Tighten the dependency of console-setup-* on keyboard-configuration as
    /usr/share/doc/console-setup* are symlinks. Thanks to Sven Joachim for
    the patch.
  * postinst: Do not modify /etc/default/{keyboard,console-setup} if
    either file is a symlink.  Thanks to Martin Ziegler, closes: #671003.
  * keyboard-setup.init: hide error messages issued by setupcon (those are
    normal if /usr is unavailable).  Thanks to Miguel Angel, closes: #651229.
  * Make setupcon --save-keyboard fail if the keyboard model is unknown.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 30 Sep 2012 20:15:47 +0300

console-setup (1.83) unstable; urgency=low

  [ Samuel Thibault ]
  * Add font-switch script to console-setup-linux-fonts-udeb package, remove
    fonts which are not used by d-i.
  [ Anton Zinoviev ]
  * Make setupcon --save-keyboard fail if ckbcomp fails.  Thanks to
    Michael Prokop for discovering this bug.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 26 Sep 2012 22:18:52 +0300

console-setup (1.82) unstable; urgency=low

  * Re-upload without .gitignore files in the source package.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Aug 2012 01:25:07 +0200

console-setup (1.81) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * console-setup-udeb.postinst: Support hurd keymap change by restarting the
    console.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jul 2012 00:55:05 +0200

console-setup (1.80) unstable; urgency=low

  * Team upload.
  * Re-upload without mess from my checkout.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jul 2012 15:55:57 -0300

console-setup (1.79) unstable; urgency=low

  * Team upload.
  * rules: Add missing dependency main_build -> ekmap generation, to fix empty
    kmap files generated by parallel builds. Closes: #679171.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2012 01:13:11 -0300

console-setup (1.78) unstable; urgency=low

  * Team upload.
  * Updated translations:
    - Amharic (am.po)
    - Croatian (hr.po)
  * Add support for parallel=n in DEB_BUILD_OPTIONS.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 22 Jun 2012 12:07:04 +0200

console-setup (1.77) sid; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Welsh (cy.po) by Dafydd Tomos
  * Danish (da.po) by Joe Hansen
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jorge Barreiro
  * Hungarian (hu.po) by SZERVÁC Attila
  * Lao (lo.po) by Anousak Souphavanh
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Marathi (mr.po) by sampada
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Romanian (ro.po) by ioan-eugen stan
  * Slovenian (sl.po) by Vanja Cvelbar
  * Tamil (ta.po) by Kumar Appaiah
  * Uyghur (ug.po) by Sahran

 -- Julien Cristau <jcristau@debian.org>  Fri, 15 Jun 2012 19:22:55 +0200

console-setup (1.76) unstable; urgency=low

  [ Peter Eisentraut ]
  * Added support for "status" action to init scripts, closes: #651461.

  [ Samuel Thibault ]
  * Remove kbdnames.gz from console-setup-udeb, it is not used any more.

  [ Christian Perrier ]
  * Add Sindhi as "pk(snd)" to the list of keymap choices
  * Change "Slovakian" (incorrect spelling) to "Slovak"
  * Change "Slovene" (incorrect spelling) to "Slovenian"

  [ Samuel Thibault ]
  * Fix Norwegian Nynorsk vs Persian keymap inversion. Closes: #665874.

  [ Robert Millan ]
  * Add Catalan to the list of languages that can be represented with
    Lat15. Closes: #667986

  [ Anton Zinoviev ]
  * setupcon: exit with error message if the kernel is neither Linux, nor
    FreeBSD.
  * setupcon: do not load font with UTF-8 on FreeBSD (the support of UTF-8
    on FreeBSD is very limited).  Thanks to Robert Millan, closes: #666542
  * Only include the debconf-selectable layouts in the udebs.  Based on a
    patch by Samuel Thibault with changes.  Closes: #658668.
  * config: handle XkbLayout of the form us(intl),cz(qwerty) when guesing
    default values from xorg.conf.  Thanks to Nathan Cutler,
    closes: #658020.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Apr 2012 17:42:22 +0300

console-setup (1.75) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Fix setupcon when called from the installer menu.
  * Make console-setup-udeb depend on hurd-udeb for the hurd-any case.

  [ Christian Perrier ]
  * Add build-arch and build-indep targets

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Dec 2011 06:05:48 +0100

console-setup (1.74) unstable; urgency=low

  [ Samuel Thibault ]
  * Add cn(uig) keyboard (non-latin) variant.
  * Add d-i layouts for all supported languages: al, ara, es(ast), bd, by,
    in(ben), ba, es(cat), cn, bt, epo, et, ge, in(guj), in(jhelum), in(deva),
    ie, in(kan), kz, kh, kr, tr(ku_f), tr(ku), in(mal), np, no(smi), ir,
    in(guru), lk, in(tam), in(tel), cn(uig), vn.
  * Make console-setup-udeb depend on kbd-udeb or kbdcontrol-udeb to fix
    layout switch in textual d-i.

  [ Christian Perrier ]
  * Default to Russian layout with Ossetian variant for Ossetian
    language
  * Galician translation updates. Closes: #644055

  [ Colin Watson ]
  * Explicitly build-depend on liblocale-gettext-perl for kbdnames-maker,
    and likewise have keyboard-configuration depend on
    liblocale-gettext-perl.

  [ Anton Zinoviev ]
  * Make U+007C in u_vga16.bdf to be a vertical line instead of broken
    bar.  The fix is in u_vga16_fix.bdf together with the new arabic
    letters from version 1.29.  Thanks to Bjarni Ingi Gislason,
    closes: #646626.
  * keyboard-configuration: depend on initscripts.  Thanks to Johannes
    Schauer, closes: #621077.
  * setupcon: try to use large fonts with consolechars.  Who knows, maybe
    it will be fixed some day...
  * Prefer console-tools to kbd if both utilities are installed.  This is
    wrong as kbd is better but these days only Debian provides
    console-tools and the only way to have both variants of the console
    utilities is when the limited script wrappers of kbd-compat are
    installed.  Thanks to mtths (patch was provided), closes: #631935.
  * setupcon: add /run and /dev to /lib/init/rw as alternative directories
    for temporary files.  Thanks to Michael Biebl, closes: #633153.
  * setupcon: add traps to remove the temporary file when setupcon is
    interrupted.
  * debian/control: use Breaks+Replaces instead of Conflicts
  * ckbcomp-mini: do not drop the lines which do not contain "keycode".
    Thanks to Samuel Thibault.
  * setupcon: assume standard virtual consoles (/dev/tty[1-6], /dev/ttyv[0-3])
    when there is no getty & such to facilitate the detection.  Thanks to
    Samuel Thibault.
  * ckbcomp: never die on errors in the rules files.  This has the
    potential to create some difficult to trace bugs, so issue more
    informative warnings about the problem.  Thanks to Javier Vasquez,
    Jonny, Cédric Boutillier, Daniel Schepler and Peter Eisentraut.
    Closes: #614127, #614550, #625215, #626025, #642287.
  * ckbcomp: interpret dead_abovering as degree sign.  Update the
    xkbsym_date hash in compose_translator.  Thanks to Bjarni Ingi Gislason,
    closes: #649201.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Nov 2011 13:48:35 +0200

console-setup (1.73) unstable; urgency=low

  [ Anton Zinoviev ]
  * Minor additions to keyboard(5) and ckbcomp(1).
  * Add information about setupcon and ckbcomp-mini in the copyright file.
  * Use /lib/init/rw for temporary file if /tmp is mounted read-only.
    When testing whether the keymap has to be recompiled, do not assume
    that either [ file1 -ot file2 ] or [ file2 -ot file1 ] (files can be
    the same age).  Thanks to Jindřich Makovička (he provided a patch),
    Vincent Lefevre, Benoît MERLET and Tony Houghton.
    Closes: #620228, #620491.

  [ Samuel Thibault ]
  * Remove br(abnt2) choice since br already provides the ABNT2-specific key.
  * Add Ethiopian to non-latin keymaps.
  * Add Kurdish default choice, set to critical like Turkish due to Q/F
    choice.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 12 Apr 2011 21:46:54 +0300

console-setup (1.72) unstable; urgency=low

  * README: /etc/getty=>/etc/gettytab
  * debian/*.init: source /etc/default/locale to permit autodetection of
    the charmap when console-setup-mini operates without configuration
    file.
  * debian/*.init: do not test whether we are on the console, there are
    better tests inside setupcon.
  * setupcon: do not expect the existence of 'tty' (if /usr is not mounted
    'tty' will be unavailable).  Thanks to Sven Joachim, closes: #619462.
  * README.Debian: console-setup-mini no longer installs only a minimal
    set of fonts.  Without configuration file no font will be loaded.
  * A little Lintian cleaning:
    - copyright: add the required reference to common-licenses;
    - restore the separate copyright file for bdf2psf;
    - versioned build dependency on debhelper (>=7.2.3~) for dh_bugfiles;
    - standards version 3.9.1;
    - use dh_lintian to install the override file.
  * setupcon: new options --save-keyboard and --setup-dir.  Keep them
    undocumented for now.
  * setupcon: some bug fixing:
    - the function findfile wouldn't work when setupcon is not run from
      /bin or /usr/local/bin, but from a non-standard location;
    - when working with incomplete information and guessing the font name,
      use [A-WXYZa-wyz] as file pattern for fonts instead of [A-Za-z] (we do
      not want 'x' and in some locales [A-Z] includes 'x').
  * Use all-permissive, non-copyleft license for setupcon and ckbcomp-mini.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Mar 2011 12:06:14 +0300

console-setup (1.71) unstable; urgency=low

  [ Anton Zinoviev ]
  * FAQ: correct some typos and apply two patches by Jonathan Nieder.
    Thanks also to Vincent Lefevre.  Closes: #565391 (with apologies for
    the delay).
  * New manual pages keyboard(5) and console-setup(5).  Updated ckbcomp(1)
    and setupcon(1). Remove README.fonts.  Common documentation directory
    for keyboard-configuration, console-setup-linux,
    console-setup-freebsd, console-setup and console-setup-mini.  New
    README.Debian.  Thanks to Jorgen Grahn, closes: #617580.
  * Remove most of the comments in the default configuration files.  It is
    difficult to update these comments when the functionality of
    console-setup changes and the new manual pages make these comments
    less necessary.
  * Remove the VERBOSE_OUTPUT option from the default configuration file
    (but it is still supported).
  * Install *.bug-control files for reportbug.
  * Ask the keyboard option question even when Debconf doesn't support the
    layout.  Thanks to Petr Baudis and Julien Cristau, closes: #581758.
  * ckbcomp_mini: process properly empty layout and/or variant options.
    Thanks to Baptiste Carvello who reported the problem and traced its
    source.  Closes: #617499.
  * ckbcomp: ignore actions[...] = ... specifications in key definitions.
    Thanks to Klaus Ethgen, closes: #607532.
  * setupcon: accept all methods to state font size in the configuration
    file (8x14, 14x8, 14).
  * Debconf: More human-friendly options for the font size question.  By
    default use 8x14 format for all sizes.
  * setupcon: Improved test whether we are on the console.  Thanks to
    Michael Schutte and Julien Cristau for the suggestions.
  * console-setup(-mini).postinst: add again commands to configure the
    console.
  * ckbcomp: improved implementation for Alt+PrintScreen=SysRq and
    Ctrl+Pause=Break on AT keyboards.
  * ckbcomp: more correct use of approximate().  This probably affects
    only some exotic key combination such as Ctrl+Alt+Shift+AltGr+F1.
  * ckbcomp: lets try to remove some unnecessary and potentialy harmful on
    non-standard layouts mappings for Linux (Ctrl+'=^G, Ctrl+3=^[,
    Ctrl+4=^\, Ctrl+5=^], Ctrl+7=^_, Ctrl+8=^?).
  * Do not source /etc/default/keyboard in /etc/default/console-setup
    (on new installs or upgrades from pre 1.47 versions).
  * setupcon: do not cache automatically the keymap.  Instead add --save
    option the init script.
  * Do not remove /etc/console-setup in postrm.
  * setupcon, config, postinst: recognise 'guess' value in the
    configuration file.
  * postinst: do not fail if setupcon fails.
  * Include Terminus font in the compiled packages.  Do not depend, but
    conflict and provide console-terminus.  New upstream version of the
    Terminus font (4.32).
  * Keyboard/ckb: update with keyboard data of version 2.1 of xkb files.
    (This change is not relevant for Debian.)
  * New install targets in the Makefiles and debian/rules to better
    support non-Debian installs.
  * Support for FreeBSD.  Packages for Debian GNU/kFreeBSD:
    - bdf2psf: new option --raw to generate raw fonts.  Try to use CP437
      code positions if possible.  When generating raw fonts with same
      codeset, use identical font map.
    - ckbcomp and setupcon: support for FreeBSD keymaps.
    - ckbcomp: new option -backspace [ del | bs ] to determine the
      behaviour of the keys BackSpace and Delete.
    - setupcon, postinst: A corresponding variable BACKSPACE in
      /etc/default/keyboard.
    - Termcap and Terminfo entries for FreeBSD.
    - setupcon: When UTF-8 is requested on FreeBSD, act as if the encoding
      is ISO-8859-1.
    - Debconf: Don't ask the question about font size on kFreeBSD (no need
      for this -- all available sizes will be loaded).
    - New configuration variable VIDEOMODE.  Currently it is most useful
      on FreeBSD because the default Linux framebuffer driver (VesaFB)
      doesn't permit changes of the videomode.
    - Support for 8-bit encodings in console-setup-mini and in the udebs
    - Udebs for kFreeBSD.

  [ Samuel Thibault ]
  * Fonts/bdf2psf: Fix typo.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 21 Mar 2011 07:08:43 +0200

console-setup (1.70ubuntu11) vivid; urgency=medium

  * Make debian/keyboard-configuration.console-setup.init do the same as the
    corresponding .upstart: I. e. just call loadkeys instead of setupcon, and
    don't check the current console. (Font loading is already done via udev
    rules). (LP: #1400393)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Dec 2014 07:55:34 +0100

console-setup (1.70ubuntu10) vivid; urgency=medium

  * Add all language-packs as build dependencies, to get translated names
    of keyboard names in the DEBIAN/config of keyboard-setup package.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 30 Nov 2014 22:21:38 +0000

console-setup (1.70ubuntu9) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:39:17 +0100

console-setup (1.70ubuntu8) trusty; urgency=medium

  * Map ppc64el/* to XKBMODEL=pc105.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jan 2014 13:14:53 +0000

console-setup (1.70ubuntu7) raring; urgency=low

  * Override description of the ch layout from "German (Switzerland)" to
    just "Switzerland" (LP: #869825).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Mar 2013 16:35:47 +0000

console-setup (1.70ubuntu6) quantal; urgency=low

  * debian/console-setup.console-font.upstart: Add Upstart job that sets up
    console font when plymouth-splash is starting, to work around a possible
    udev/plymouth race that would otherwise prevent the font being set
    (thanks, Ahmed El-Mahmoudy and Andrey Bondarenko; LP: #632382).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 01:50:48 +0100

console-setup (1.70ubuntu5) precise-proposed; urgency=low

  * Update Ubuntu-specific translations from Launchpad (LP: #985605).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Apr 2012 16:03:16 +0100

console-setup (1.70ubuntu4) precise; urgency=low

  * Add definitions for four (ignored) dead-keys: dead_belowcomma,
    dead_currency, dead_doublegrave, and dead_invertedbreve.  Cherrypick
    from Debian git.
    (LP: #738314)
  * Fix command injection in ckbcomp (thanks to Emanuel Bronshtein)
    (LP: #782705)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 19 Mar 2012 21:13:39 -0700

console-setup (1.70ubuntu3) precise; urgency=low

  * No change rebuild for new xkb-data. (LP: #953328)

 -- StÃ©phane Graber <stgraber@ubuntu.com>  Thu, 15 Mar 2012 11:48:58 -0400

console-setup (1.70ubuntu2) precise; urgency=low

  * Drop the simplified keyboard-configuration/xkb-keymap question; it
    breaks existing preseeding, might confuse Ubiquity, and people are
    already used to the layout/variant questions in Ubuntu (LP: #894187).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Nov 2011 15:05:27 +0000

console-setup (1.70ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Include Terminus font in the compiled packages.  Do not depend, but
      conflict/provide/replace console-terminus.  New upstream version of
      the Terminus font (4.32).
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by keyboard-configuration/modelcode=SKIP.
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - Update for new layouts and variants for Montenegro and Serbia, and
      migrate configuration files from the old layouts.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Move boot tasks to a combination of two udev rules and a single
      Upstart job, ensuring that they're run at points when we are able to
      satisfy the constraints on the relevant ioctls.
    - Don't gzip font or ACM files in /etc/console-setup/.  The space saving
      is negligible, and it's more efficient not to need to uncompress them
      at boot time.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Add an apport hook.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - Don't try to call update-rc.d if it doesn't exist, such as in d-i.
    - debian/vtrgb, debian/vtrgb.vga, debian/console-setup.setvtrgb.upstart,
      debian/rules, debian/console-setup.postinst: use Ubuntu's virtual
      terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Explicitly build-depend on liblocale-gettext-perl for kbdnames-maker,
      and likewise have keyboard-configuration depend on
      liblocale-gettext-perl.
    - Depend on debconf instead of pre-depending, because pre-depends have
      no effect on config scripts.
    - Make keyboard-configuration replace old console-setup/console-setup-mini
      versions as well as conflicting with them.
    - Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - Drop the layout/variant priority to high on fresh installs.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku).
    - Set default layout for Vietnam to 'us'.
    - Set default variant for French to oss.
    - Set default layout for Simplified Chinese to 'cn'.
    - Don't use the default keyboard variant if the layout is overridden by
      preseeding.
    - If keyboard-configuration/layoutcode is preseeded but not marked as
      seen, then set the default layout but don't lower the layout question
      priority or preseed console-setup/ask_detect.
    - Use the default keyboard model if an existing configuration file sets
      XKBMODEL="".
    - console-setup-udeb (<< 1.53) didn't set the seen flag in the installed
      system.  Cope with this and avoid asking the layout and variant
      questions again if the default debconf priority is at least high.
      (squeeze has >> 1.53, so this can be dropped after 12.04.)
    - Go back to always asking layout before variant.
    - Fix keyboard layout detection to set the layout properly.
    - Reset keyboard-configuration/toggle to the default if it's set to "No
      toggling" and you select a non-Latin layout.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Replace usplash detection code with Plymouth detection code.
    - Load the new keyboard configuration immediately when running
      'dpkg-reconfigure keyboard-configuration' in an installed system.
    - Don't fail to configure keyboard-configuration if setxkbmap fails to
      talk to the X display.
    - Tolerate absence of setupcon in keyboard-configuration.postinst.
    - Move keyboard detection templates from console-setup.templates to
      keyboard-configuration.templates.
    - Stop running debconf-updatepo on clean.
    - Include pc105.tree for ubiquity.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Weaken test for whether /usr is mounted; testing for /usr/share is
      sufficient, and fixes operation in d-i.
    - Make setupcon explicitly exit 0, so that postinsts don't fail in the
      event that loadkeys can't find a console.
  * Dropped changes:
    - Special KPDL handling: rewritten upstream in version 1.24.
    - Upgrade handling for broken 1.57ubuntu1-1.57ubuntu4: prerelease
      versions from natty, code dropped.
    - Allow underscores in rules variables: included upstream.
  * Restore plugin-detect-keyboard handling code, accidentally dropped in
    a previous merge; keyboard detecting code was probably broken in the gtk
    frontend by this.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 08 Nov 2011 09:34:02 -0800

console-setup (1.70) unstable; urgency=low

  * ckbcomp: permit '_' in all identifiers.  Thanks to Jonny, Javier
    Vasquez and Eric Valette.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 24 Feb 2011 18:31:21 +0200

console-setup (1.69) unstable; urgency=low

  [ Joey Hess ]
  * rules: Remove obsolete commands to clean up when building from cvs, and
    svn. (Now in git; pollution of subdirs should no longer be an issue.)

  [ Samuel Thibault ]
  * Use bg, ch, se instead of bg(bds), ch(de), se(basic), as those are not in
    xorg.xml any more (closes: #610843).
  * config: Use the braille font name from the console-braille package.

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Feb 2011 22:54:58 +0100

console-setup (1.68) unstable; urgency=high

  * Fix el.po, it had question marks instead of non-ascii characters
    (closes: #609624)
  * Restore fa.po, he.po, zh_TW.po, same issue.
  * Revert latest update to pa.po, same issue.
  * Revert most of the last update to is.po, same issue.

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 Jan 2011 13:10:38 +0100

console-setup (1.67) unstable; urgency=low

  [ Anton Zinoviev ]
  * ckbcomp: process properly %(v) and %_v.  Interpret Henkan, Hiragana,
    Hiragana_Katakana, Muhenkan and some XF86... symbols as VoidSymbol.
    Thanks to Sebastian Reichel, closes: #608227.

  [ Christian Perrier ]
  * Remove debconf-2.0 alternative from Pre-Depends.
    Really Closes: #604153

 -- Christian Perrier <bubulle@debian.org>  Fri, 31 Dec 2010 19:55:24 +0100

console-setup (1.66) unstable; urgency=low

  [ Samuel Thibault ]
  * Fix keyboard-configuration.templates translations: the template doesn't
    have useless latin[1245]/nodeadkeys/etc. qualifiers any more.

 -- Christian Perrier <bubulle@debian.org>  Wed, 29 Dec 2010 18:26:06 +0100

console-setup (1.65) unstable; urgency=low

  [ Samuel Thibault ]
  * Fix fr-latin8 typo introduced in 1.64.

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Dec 2010 20:46:39 +0100

console-setup (1.64) unstable; urgency=low

  * Use "fi" for Finnish keymap in the udeb instead of invalid "fi(fi)"
    Closes: #606840

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Dec 2010 18:06:51 +0100

console-setup (1.63) unstable; urgency=low

  [ Debconf translations ]
  * Polish (Marcin Owsiany).  Closes: #604180
  * Reinstate Serbian (Latin) debconf translation after fixing
    the pre-dependency on debconf (>= 1.5.34)
  * Marathi (Sampada).
  * Panjabi (A S Alam).
  * Korean (Changwoo Ryu). Closes: #604258
  * Traditional Chinese (Tetralet).
  * Bengali (Israt Jahan).
  * Belarusian (Viktar Siarheichyk).  Closes: #604788
  * Croatian (Josip Rodin).
  * Italian (Milo Casagrande).  Closes: #604920
  * Swedish (1 fuzzy unfuzzied by Christian Perrier)

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Dec 2010 19:05:11 +0100

console-setup (1.61) unstable; urgency=low

  * Polish (Marcin Owsiany).  Closes: #604097
  * Asturian (maacub).
  * Basque (Iñaki Larrañaga Murgoitio).
  * Greek (Emmanuel Galatoulas).  Closes: #604145
  * Traditional Chinese (Tetralet).  Closes: #604148
  * Serbian (Latin) translation dropped as not properly handled
    by debconf. Closes: #604153

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Nov 2010 20:05:50 +0100

console-setup (1.60) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/keyboard-configuration.templates: Fix typo in bg(bds) keymap name,
    making it not working. Rename Bulgarian into Bulgarian (phonetic layout),
    rename Bulgarian (BDS layout) into Bulgarian. Fix translations
    accordingly.
  * debian/keyboard-configuration.config: For Bulgary, use the BDS layout by
    default, as this is what non-technical people usually know.

  [ Christian Perrier ]
  * Romanian (Andrei POPESCU).  Closes: #603716
  * Galician (Jorge Barreiro).  Closes: #603636
  * Dutch (Eric Spreen).  Closes: #603756
  * Thai (Theppitak Karoonboonyanan).  Closes: #603664
  * Khmer (Khoem Sokhem).
  * Irish (Kevin Scannell).  Closes: #603833
  * Tamil (Dr.T.Vasudevan).
  * Hungarian (SZERVÁC Attila).
  * Latvian (Aigars Mahinovs).
  * Ukrainian (Borys Yanovych).  Closes: #603863
  * Indonesian (Arief S Fitrianto).  Closes: #603879
  * Punjabi.
  * Kurdish (Amed Çeko Jiyan).
  * Swedish (Daniel Nylander).
  * Brazilian Portuguese (Felipe Augusto van de Wiel (faw)).  Closes: #603977
  * Basque (Iñaki Larrañaga Murgoitio).
  * Asturian (ivarela).

 -- Otavio Salvador <otavio@debian.org>  Fri, 19 Nov 2010 19:33:54 -0200

console-setup (1.59) unstable; urgency=low

  * Team upload

  [ Christian Perrier ]
  * Activate keyboard-configuration.templates for translation.
    Re-use old translations we had in the past. Thanks to
    Samuel Thibault for the help. Closes: #581683

  [ Anton Zinoviev]
  * Fix the code detecting the presence of a hardware keyboard.  Thanks to
    Thibaut GIRKA for the patch, closes: #602425.
  * keyboard-configuration.config: default keyboard layout for Sinhala language

  [ Debconf translations ]
  * French (Christian Perrier)
  * Simplified Chinese (YunQiang Su).  Closes: #603072
  * Portuguese (Miguel Figueiredo).  Closes: #603071
  * Russian (Yuri Kozlov).  Closes: #603073
  * Catalan (Jordi Mallach).  Closes: #603086
  * Greek (Lampropoulos Anastasios).
  * Slovak (Ivan Masár).  Closes: #603108
  * Spanish (Javier Fernández-Sanguino).  Closes: #603120
  * Icelandic (Sveinn í Felli).
  * Bulgarian (Damyan Ivanov).  Closes: #603149
  * Japanese (Kenshi Muto).  Closes: #603154
  * Bosnian (Armin Beširović).
  * Finnish (Esko Arajärvi).  Closes: #603200
  * Esperanto (Felipe Castro).  Closes: #603226
  * Gujarati (Kartik Mistry).  Closes: #603238
  * Hindi (Kumar Appaiah).  Closes: #603098
  * Estonian (Mattias Põldaru).
  * Dzongkha (Jurmey Rabgay).
  * Persian (Behrad Eslamifar).  Closes: #603312
  * Danish (Ask Hjorth Larsen).  Closes: #603365
  * German (Holger Wansing).  Closes: #603404
  * Czech (Miroslav Kure).  Closes: #603449
  * Serbian (Janos Guljas).  Closes: #603497
  * Serbian (Latin) (Janos Guljas).  Closes: #603498
  * Arabic (Ossama Khayat).  Closes: #603519, #603520
  * Turkish (Mert Dirik).  Closes: #603522
  * Bengali (Israt Jahan).
  * Kazakh (Baurzhan Muftakhidinov).  Closes: #603539
  * Bokmål, Norwegian (Hans Fredrik Nordhaug).  Closes: #603576
  * Slovenian (Vanja Cvelbar).  Closes: #603689
  * Macedonian (Georgi Stanojevski).

  [ Samuel Thibault ]
  * Keyboard/kbdcompiler: Add np to nonlatin layouts.
  * debian/keyboard-configuration.templates: Add simplified
    keyboard-configuration/xkb-keymap question (Closes: #581683).
  * debian/keyboard-configuration.config:
    - Set default layouts for Bhutan, Ethiopia, France (for Basque in France),
    Cambodia, Korea, Kazakhstan, Sri Lanka, Nepal, Bengali, and Chinese,
    Swiss German to handle all languages supported by d-i.
    - Use latin9 variant of fr keyboard to get œ.
    - Raise priority for Esperanto to critical as it's typically used on any
    kind of keyboard.
    - Add np to nonlatin layouts.
    - Use phonetic variant by default for bg.
    - In d-i, skip all questions except the simplified
    keyboard-configuration/xkb-keymap and keyboard-configuration/toggle for
    non-latin languages.
  * Import keyboard layout translations from console-data.

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Nov 2010 20:00:38 +0100

console-setup (1.58) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/keyboard-configuration.README.Debian: New file to contain
    documentation on how changes can be enforced. Provide there the proper
    udevadm incantation to make Xorg get the new Keyboard configuration without
    rebooting.
  * config.kbd: Reference the abovementioned README.
  * debian/keyboard-configuration.config: Do not specify abnt2 and jp106
    xkb models as the base model now has their keys (Closes: Bug#600490).
  * debian/control: Bump xkb-data dependency version to >= 1.6 to make sure
    the assumption above is true.

  [ Anton Zinoviev]
  * Do not enforce abnt2 and jp106 models for Brasilian and Japanese layouts.
  * setupcon(console-setup-mini): do not expect /usr/share/X11/xkb when
    testing if /usr is mounted.  Thanks to Marek Straka and Samuel
    Thibault, closes: #600861.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 23 Oct 2010 10:14:45 +0300

console-setup (1.57ubuntu27) oneiric; urgency=low

  * Update Greek, Persian, Hebrew, Punjabi, and Traditional Chinese
    translations from console-setup 1.68, fixing encoding problems
    (LP: #860562).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Sep 2011 15:58:32 +0100

console-setup (1.57ubuntu26) oneiric; urgency=low

  * Backport translations from console-setup 1.63, without which
    keyboard-configuration is completely untranslated (and, indeed,
    untranslatable).  LP: #838669.
  * Bump dependency on debconf as well, to make sure we can parse sr@latin
    translation templates.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Sep 2011 15:44:41 +0100

console-setup (1.57ubuntu25) oneiric; urgency=low

  * Backport from upstream (Anton Zinoviev):
    - Include Terminus font in the compiled packages.  Do not depend, but
      conflict/provide/replace console-terminus.  New upstream version of
      the Terminus font (4.32).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Aug 2011 13:53:08 +0100

console-setup (1.57ubuntu24) oneiric; urgency=low

  * Fix default keyboard selection for language/country combinations lacking
    a proper combined locale (LP: #814448).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Aug 2011 15:13:13 +0100

console-setup (1.57ubuntu23) oneiric; urgency=low

  * Explicitly build-depend on liblocale-gettext-perl for kbdnames-maker,
    and likewise have keyboard-configuration depend on
    liblocale-gettext-perl.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2011 16:55:54 +0100

console-setup (1.57ubuntu22) oneiric; urgency=low

  * Fix keyboard layout detection to set the layout properly (LP: #820554).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2011 16:11:59 +0100

console-setup (1.57ubuntu21) oneiric; urgency=low

  * Rebuild against xkb-data 2.2.1 (LP: #791883).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 25 Jun 2011 05:08:24 +0100

console-setup (1.57ubuntu20) natty; urgency=low

  * Weaken test for whether /usr is mounted; testing for /usr/share is
    sufficient, and fixes operation in d-i.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2011 15:29:46 +0100

console-setup (1.57ubuntu19) natty; urgency=low

  * Don't copy keyboard-configuration questions to /target in OEM mode.
    oem-config will ask them later, and copying these confuses it
    (LP: #741304).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2011 12:43:41 +0100

console-setup (1.57ubuntu18) natty; urgency=low

  * Don't use the default keyboard variant if the layout is overridden by
    preseeding (LP: #758584).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Apr 2011 15:21:11 +0100

console-setup (1.57ubuntu17) natty; urgency=low

  * debian/vtrgb: Design team wanted a slightly different grey; more contrast
    when white on grey
  * debian/console-setup.postinst: fix failure to find file to md5sum;
    go back to installing the original vtrgb as a lower priority alternative

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 21 Mar 2011 21:38:00 -0500

console-setup (1.57ubuntu16) natty; urgency=low

  * debian/console-setup.postinst: don't add the vtrgb.vga 
    alternate to update-alternatives;  let other packages or humans do this;
    otherwise, every time this package upgrades, it would overwrite others'
    overiding choices

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 20 Mar 2011 17:54:21 -0500

console-setup (1.57ubuntu15) natty; urgency=low

  * debian/vtrgb.vga, debian/rules, debian/console-setup.postinst:
    - install a vga configuration, for easy reference by others who want to go
      back to legacy mode
    - relocate the stock vtrgb from /usr to /etc, such that it can be edited
      by an admin, LP: #738992

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 20 Mar 2011 17:19:34 -0500

console-setup (1.57ubuntu14) natty; urgency=low

  * Install setvtrgb job with --no-start --upstart-only (LP: #738159).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Mar 2011 12:07:57 +0000

console-setup (1.57ubuntu13) natty; urgency=low

  * debian/rules, debian/console-setup.postinst: use update-alternatives
    to allow other packages to install different console color values,
    LP: #737948

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 18 Mar 2011 22:02:12 -0500

console-setup (1.57ubuntu12) natty; urgency=low

  * Tolerate absence of setupcon in keyboard-configuration.postinst
    (LP: #733497).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Mar 2011 11:28:34 +0000

console-setup (1.57ubuntu11) natty; urgency=low

  * Address console-setup portion of LP: #730672, by installing
    the conffile and applying it at upstart
    - debian/vtrgb: Ubuntu's virtual terminal color scheme
    - debian/console-setup.setvtrgb.upstart: run setvtrgb during upstart

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Mar 2011 17:10:50 -0500

console-setup (1.57ubuntu10) natty; urgency=low

  * Don't fail to configure keyboard-configuration if setxkbmap fails to
    talk to the X display (LP: #728764).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Mar 2011 13:40:49 +0000

console-setup (1.57ubuntu9) natty; urgency=low

  * The console-setup udev rule accidentally went missing in 1.57ubuntu1.
    Reinstall it, this time in keyboard-configuration (LP: #713746).
  * Load the new keyboard configuration immediately when running
    'dpkg-reconfigure keyboard-configuration' in an installed system
    (LP: #713062).
  * Make setupcon explicitly exit 0, so that postinsts don't fail in the
    event that loadkeys can't find a console.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Mar 2011 16:14:06 +0000

console-setup (1.57ubuntu8) natty; urgency=low

  * Move keyboard detection templates from console-setup.templates to
    keyboard-configuration.templates.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2011 19:21:18 +0000

console-setup (1.57ubuntu7) natty; urgency=low

  * No change build to pick up xkeyboard-config 2.1-1ubuntu3.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 08 Feb 2011 15:05:54 +0000

console-setup (1.57ubuntu6) natty; urgency=low

  * Allow underscores in rules variables ($sun_t6_custom).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 07 Feb 2011 15:14:44 +0000

console-setup (1.57ubuntu5) natty; urgency=low

  * Drop misguided Ubuntu-specific code to migrate from console-setup/* to
    keyboard-configuration/* question names.  This is already handled on
    upgrade by reading the old /etc/default/console-setup file
    (LP: #698263).
  * console-setup-udeb (<< 1.53) didn't set the seen flag in the installed
    system.  Cope with this and avoid asking the layout and variant
    questions again if the default debconf priority is at least high
    (LP: #705883).
  * If we detect the above breakage (upgrading from anything between
    1.57ubuntu1 and 1.57ubuntu4 inclusive, and the XKB* values in
    /etc/default/keyboard differ from the commented-out values in
    /etc/default/console-setup), reset to the commented-out values in
    /etc/default/console-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jan 2011 12:19:42 +0000

console-setup (1.57ubuntu4) natty; urgency=low

  * Include pc105.tree for ubiquity.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 24 Jan 2011 16:53:59 +0000

console-setup (1.57ubuntu3) natty; urgency=low

  * Correct fix for LP: #634402: explicitly check readability of
    /etc/default/keyboard and /etc/default/console-setup in initramfs hooks,
    rather than trying to guard '.' with '||' which doesn't work
    (LP: #701954).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Jan 2011 20:55:01 +0000

console-setup (1.57ubuntu2) natty; urgency=low

  * Make keyboard-configuration replace old console-setup/console-setup-mini
    versions as well as conflicting with them (thanks, Martin Pitt).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Jan 2011 12:24:45 +0000

console-setup (1.57ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset keyboard-configuration/toggle to the default if it's set to "No
      toggling" and you select a non-Latin layout.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Set keymap and font in the initramfs if possible and sensible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Montenegro and Serbia, and
      migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by keyboard-configuration/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.
    - If keyboard-configuration/layoutcode is preseeded but not marked as
      seen, then set the default layout but don't lower the layout question
      priority or preseed console-setup/ask_detect.
    - Add an apport hook.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Replace usplash detection code with Plymouth detection code.
    - Move boot tasks to a combination of two udev rules and a single
      Upstart job, ensuring that they're run at points when we are able to
      satisfy the constraints on the relevant ioctls.
    - Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    - Don't try to call update-rc.d if it doesn't exist, such as in d-i.
    - Don't gzip font or ACM files in /etc/console-setup/.  The space saving
      is negligible, and it's more efficient not to need to uncompress them
      at boot time.
    - Remove iconv transliteration.  We don't use non-UTF-8 locales, and it
      breaks ubiquity as we haven't generated the configured locale by the
      time we hit console-setup.
  * Go back to always asking layout before variant.
  * Migrate from old console-setup/* to new keyboard-configuration/*
    question names.
  * Use the default keyboard model if an existing configuration file sets
    XKBMODEL="".
  * Exit cleanly from initramfs hook if /etc/default/keyboard or
    /etc/default/console-setup don't exist for some reason (LP: #634402).
  * Fix description of upstart job to not incorrectly claim that it sets the
    font (LP: #632366).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jan 2011 17:02:40 +0000

console-setup (1.57) unstable; urgency=low

  * udeb: properly preseed system based on installer values.

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Oct 2010 14:50:22 -0300

console-setup (1.56) unstable; urgency=low

  [ Colin Watson ]
  * Set default layout for Guernsey, Jersey, and the Isle of Man to gb
    (LP: #533003).

  [ Samuel Thibault ]
  * config: Add SCREEN_WIDTH and SCREEN_HEIGHT variables.
  * setupcon: When these are provided, call stty to adjust the screen size
    (Closes: Bug#594817).

  [ Anton Zinoviev]
  * setupcon (console-setup-mini): in verbose mode, issue a warning that
    FONTFACE and FONTSIZE are ignored.  Document the issue in a
    README.Debian file.  Thanks to ael, closes: #575806.
  * keyboard-configuration.config: while reading defaults from xorg.conf
    do not turn the option values to lowercase.  Thanks to Soeren
    Sonnenburg who discovered the problem and to Julien Cristau and
    Olivier Schwander for the patches, closes: #596547.
  * Do not mention HAL in the comment of /etc/default/keyboard.  Suggest a
    reboot instead.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 14 Sep 2010 13:06:38 +0300

console-setup (1.55) unstable; urgency=low

  [ Cyril Brulebois ]
  * Drop trailing comma in choices that confuses cdebconf and
    prevented choosing anything but the default keymap in the
    graphiccal installer. Closes: #583388.

  [ Frans Pop ]
  * Add auto-install support for console-setup-udeb.
    Requires preseed (>= 1.45).

  [ Anton Zinoviev]
  * *.init: add a comment to make clear that the init scripts are not used
    by keyboard-configuration, only by console-setup(-mini).
  * setupcon: muffle properly the warnings /etc is read-only.  Thanks to
    Marc (maintainer of PureOS, http://pureos.org).

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Milo Casagrande
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Nepali (ne.po)
  * Dutch (nl.po) by Frans Pop
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 11:04:29 +0200

console-setup (1.54) unstable; urgency=low

  * keyboard-configuration.postinst (udeb): use existing variables for the
    arguments of setxkbmap.  Patch provided by Cyril Brulebois.
  * Correct the svn address of the repository in the copyright file.
    Thanks to Daniel Richard G. for finding the problem.
  * Build resized VGA32x16 and VGA28x16 fonts.  Thanks to Daniel Richard G.
    for the suggestion and the initial patch.
  * Improved text of the keyboard-configuration/layout (origin) question.
    Suggestion given by Frans Pop.
  * Debconf: leave the "Other" choice unsorted as last option.  Thanks to
    Frans Pop, closes: #573987.
  * Finally properly working (I hope) workaround for #352697.
  * keyboard-configuration.config: initialise the *_allocated variables.
    This is important in case the user backs up to the previous dialog.
  * No need to use XKBMODEL=pc104 as default when debian-installer/keymap
    is br, dvorak or us.  Thanks to Piotr Engelking, closes: #568475.
  * console-setup(-mini).postinst: do not attempt to configure the
    console.  s/leaved/left/ in setupcon.  Thanks to Sven Joachim,
    closes: #570341.
  * console-setup-udeb: do not configure the console if used from X.
  * keyboard-configuration.postinst: properly test for the udeb and
    execute setupcon and setxkbmap only there.
  * bdf2psf: correct some false warnings for no space in the font when in
    fact no gliph is defined in the source bdf font.
  * bdf2psf: fix a bug in the computation of %equiv causing some fonts
    (for example VGA14) to be compiled with inconsistent look of the
    characters (different characters were taken from different fonts).

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 23 Mar 2010 22:10:32 +0200

console-setup (1.53) unstable; urgency=low

  * console-setup-udeb.base-installer: fix bad package name for the
    templates to mark as seen (keyboard-configuration instead of
    keyboard-setup).

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 17 Feb 2010 19:55:24 +0200

console-setup (1.52) unstable; urgency=low

  * Use lv3:ralt_alt only if there is no other option for the right Alt
    key.  Thanks to GW, closes: #566009.
  * Some installer related changes (thanks to Cyril Brulebois for finding
    the problems and proposing some patches):
    - keyboard-configuration.config: properly test that we are in the
      installer (in which case the model question has to be skipped).
    - mark the questions of keyboard-configuration as seen in
      console-setup-udeb.base-installer to avoid asking them by the main
      package.
    - run setxkbmap in the postinst of the udeb.
  * setupcon: print error message when not started from the console.
    Thanks to Michal Suchanek, closes: #569057.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 17 Feb 2010 17:59:38 +0200

console-setup (1.51) unstable; urgency=low

  * Correct typo in the FAQ.  Thanks to Luís Picciochi Oliveira,
    closes: #559036.
  * Remove Fonts/bdf/legacy8h.bdf.  This font was produced from
    lat2u-08.psf which is also broken.  This should fix the Ubuntu bug
    #190746.
  * Midnight Commander is not mecriful to the console.  Add support (by
    approximations) for WHITE DIAMOND CONTAINING BLACK SMALL DIAMOND and
    BLACK (up, down, left and right) SMALL TRIANGLEs.
  * Treat af and iq as non-Latin layouts.  This probably fixes the Ubuntu
    bug #209703.
  * Add default keyboard layouts for South Africa and Liechtenstein.
  * Do not load fonts when usplash is active.  Thanks to Daniel Schepler,
    closes: #560262.
  * Do not use soft link for Keyboard/ckb/rules/base.xml.  Thanks to Lucas
    Nussbaum and Samuel Thibault, closes: #560570.
  * When the layout has three groups swithch them in the following order:
    group1 -> group2 -> group1 -> group3.  Document this problem in the
    FAQ.  Thanks to Goran Vulić, closes: #560814.
  * Do not remove /etc/console-setup in the postrm script if one of
    console-setup or console-setup-mini is still installed.  Thanks to
    Francesco Poli, closes: #561005.
  * setupcon: do not test for the existence of ckbcomp.  Thanks to Eric
    Valette, closes: #562557.
  * Install ckbcomp-mini in /bin.  Otherwise before /usr is mounted it
    would be impossible to test whether console-setup is installed or
    console-setup-mini.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 14 Jan 2010 22:25:13 +0200

console-setup (1.50) unstable; urgency=low

  * When deciding about whether cached.kmap.gz is actual test against
    /etc/default/keyboard rather than agains /etc/default/console-setup.
    Thanks to Kurt Roeckx and Renato S. Yamane, closes: #558448, #558475.
  * Do not use files in /usr/share/doc as templates.  Thanks to Trent
    W. Buck, closes: #558229.
  * Update the FAQ.  Thanks to Luís Picciochi Oliveira, closes: #548837.
  * bdf2psf: do not discard gliphs with zero rows in the bitmap matrix.
    Thanks to Tim Allen, closes: #539108.
  * Fix a bug causing the 'unsupported_layout' question to be asked on
    every other installation.
  * Changes in the template file in order to close some bugs:
    - The AltGr question.  Also add a new option 'Do not use AltGr key'.
      Rename 'Right Alt' => 'Right Alt (AltGr)'.  Thanks to Kurt Roeckx,
      closes: #524235.
    - Do not use 'configuration program' and 'unsupported'.  Thanks to GSR
      and Yann Dirson, closes: #535965, #538397.
    - Add long descriptions to keyboard-configuration/model and
      keyboard-configuration/layout.  Thanks to Paul Vojta, closes: #531646.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 30 Nov 2009 21:04:24 +0200

console-setup (1.49) unstable; urgency=low

  * Extend Fonts/standard.equivalents in order to support the symbols
    required by toilet-fonts.  Thanks to Francesco Poli.
  * New version of the Terminus font in the source package.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Nov 2009 13:05:43 +0200

console-setup (1.48) unstable; urgency=low

  [ Frans Pop ]
  * When console-setup.config is run in the D-I environment, simply set the
    charmap to UTF-8; the installer internally always uses the locale C.UTF-8.

  [ Anton Zinoviev]
  * config file: document that Goha and GohaClassic are available only
    with CODESET=Ethiopian.
  * When repairing errors in the config file cause by previous versions do
    not ask unconditionaly the layout/variant questions if there are
    values in the configuration file.
  * Do not install kbdnames.gz in console-setup-mini but only in the
    udeb.
  * keyboard-configuration(config): do not give --mini option to the
    preprocessor.  This returns back the keyboard model names in the
    file.  Thanks to Mario 'BitKoenig' Holbe, closes: #557001.
  * setupcon: Do not substitute empty FONTFACE and FONTSIZE (I had
    forgotten that setupcon supported this mode of operation).  Thanks to
    Josh Triplett, closes: #556882.
  * There is no need to escape the single quotes in kbdnames-maker.
    Thanks to Gerfried Fuchs, closes: #548332.
  * (Debconf) Do not overwrite non-standard keyboard layouts.  Thanks to
    Shai Berger, closes: #556426.
  * console-setup: Ensure that /etc/default/keyboard is sourced in
    /etc/default/console-setup.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 19 Nov 2009 22:17:42 +0200

console-setup (1.47) unstable; urgency=low

  * Separate the keyboard configuration in a new package
    keyboard-configuration.  No font configuration in console-setup-mini
    and console-setup-udeb.  Thanks to Celejar, Luís Picciochi Oliveira,
    Francesco Poli and Bill Brelsford.
    Closes: #542003, #548837, #546983, #548262, #536600, #536614.
  * Use CONSOLE_MAP configuration variable instead of ACM (to be the same
    as kbd).
  * Use Uni2 instead of Uni1 when no good default codeset can be detected.
    Its better to have one more fully supported language (Greek) than two
    unsupported right to left languages (Arabic and Hebrew).
  * Configuration variable KMAP for personnal keymaps.  Thanks to Samuel
    Thibault, closes: #546740.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 13 Nov 2009 18:03:11 +0200

console-setup (1.46) unstable; urgency=low

  [ Christian Perrier ]
  * Add kbd to Should-Start in init script. Thanks to Michael Schutte
    for the patch. Closes: #548101

  [ Colin Watson ]
  * Add default codeset/layout/variant for Asturian.
  * Forbid Unicode keysyms in the range 0xf000-0xffff, as kbd 1.15-1 rejects
    the entire keymap if it contains any keysyms in that range (LP:
    #416949).

  [ Jordi Mallach ]
  * Set XKBVARIANT to "cat" for Catalan.

  [ Anton Zinoviev]
  * Protect the special symbols in the regular expressions of ask_debconf.
    Thanks to Tibor Zenis, Rogério Brito, Michael Gold, W. Goesgens, Martin
    Ziegler, Andreas Juch, Colin Tuckley, Samuel Thibault and Arnaud Giersch.
    Closes: #536683, #546654, #551586.
  * Do not load fonts when splashy is active.  Thanks to Mathieu Parent and
    Adam Trickett, closes: #510211, #548354.
  * Make keys of type ONE_LEVEL, TWO_LEVEL or THREE_LEVEL realy such.
    Thanks to Samuel Thibault and aCaB, closes: #542832, #536723.
  * New configuration option: UNIMAP.  Thanks to Samuel Thibault,
    closes: #543478.
  * Execute kbd_mode for all consoles (doesn't work with console-tools).
    Thanks to Samuel Thibault, closes: #546702.
  * New question in the FAQ: "The non-ASCII characters don't work".
    Thanks to Harald Braumann, closes: #541291.
  * Use LC_MESSAGES in order to determine the output language of the
    keyboard models and layouts.  Thanks to Harald Braumann,
    closes: #543214.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 11 Nov 2009 23:30:08 +0200

console-setup (1.45) unstable; urgency=low

  [ Anton Zinoviev ]
  * Do not issue warnings when writing cached.kmap.gz and /etc is mounted
    read-only.
  * Detection of Atari keyboards.  Use case-insensitive grep to make the
    tests more robust.

  [ Petter Reinholdtsen ]
  * Make sure init.d/keyboard-setup can be installed when udev isn't
    installed (Closes: #545070).
  * Flag init.d/keyboard-setup and init.d/console-setup as interactive
    scripts, to make sure they have direct access to the tty when using
    concurrent booting (Closes: #538438).

  [ Christian Perrier ]
  * Add ${misc:Depends} to binary packages dependencies as we're using
    debhelper
  * Update Standards to 3.8.3 (checked, no change)
  * Reformat extended description of bdf2psf to avoid exceeding 80
    columns
  * Bump debhelper compatibility to 7
  * Use dh_prep in place of deprecated "dh_clean -k"

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Greek (el.po) by Emmanuel Galatoulas
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by Sampada
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Sep 2009 13:53:59 +0200

console-setup (1.44) unstable; urgency=low

  * console-setup-udeb: postinst preserve the exit code of the config
    script.  For example 10 is leaved as 10.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 10 Jul 2009 15:43:49 +0300

console-setup (1.43) unstable; urgency=low

  * I build 1.42 in the wrong tree.  Sorry.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 10 Jul 2009 15:33:48 +0300

console-setup (1.42) unstable; urgency=low

  * Never use 'unknown' as keyboard model because the udeb and mini do not
    have model question.
  * Both entering a choice and backing from the layout question goes to
    the variant question.
  * Backing from layout question goes to model question even when the
    variant is not 'other'.
  * String change: 'The default for the keyboard layout' instead of
    'No AltGr key'.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 10 Jul 2009 14:32:28 +0300

console-setup (1.41) unstable; urgency=low

  * Read the default value for the codeset from console-setup/codesetcode,
    not from console-setup/codeset (part of preseeding support).
  * Remove most default values from the template file or else they are
    interfering with the guess-work in the config script.
  * Activate the preseeding code for the regular packages too.  This is in
    order to catch easier the future bugs related to the preseeding.
  * Change the default AltGr key to 'No AltGr key' as the layouts that
    need AltGr define their own AltGr.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 09 Jul 2009 18:16:24 +0300

console-setup (1.40) unstable; urgency=low

  * Do not reask the "unsupported layout/option" question on every
    upgrade.  Thanks to GSR, closes: 535966.
  * Support for terminate:ctrl_alt_bksp option.  Thanks to GSR,
    closes: #535908.
  * The postinst of the udeb was looking for console-setup.config although
    in 1.37 this file was renamed as console-setup-mini.config.
  * Remove the Provides: console-setup from console-setup-mini.
  * bdf2psf: support fonts that do not cover the whole ASCII set.  Thanks
    to Samuel Thibault, closes: #533096.
  * bdf2psf: ignore double-width symbols.
  * ckbcomp: do not fail when empty string is given as layout.
  * Ask c-s/variant before c-s/layout.  Do not ask c-s/layout unless the
    user has requested this by selecting 'Other' in c-s/variant.  The
    priority of c-s/layout is still critical but most users won't see this
    question. Thanks to Christian Perrier, closes: #529649.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 07 Jul 2009 19:38:13 +0300

console-setup (1.39) unstable; urgency=low

  * Remove the dependency on sharutils in console-setup.  Thanks to Josh
    Triplett and Helmut Grohne, closes: #535805.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 05 Jul 2009 14:51:41 +0300

console-setup (1.38) unstable; urgency=low

  * Add build-dependency and dependency on sharutils for console-setup.
    Reask the questions for model/layout/variant with critical priority if
    version 1.37 has destroyed the value of XKBMODEL or XKBLAYOUT (due to
    missing uudecode).  Thanks to Max, closes: #535709.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 04 Jul 2009 21:58:34 +0300

console-setup (1.37) unstable; urgency=low

  [ Otavio Salvador ]
  * Use 'dpkg --print-architecture' in debconf config script. Closes: #529574

  [ Christian Perrier ]
  * Add D-I localization sublevels markers.

  [ Debconf translations ]
  * Swedish. Closes: #529860

  [ Anton Zinoviev ]
  * ask_debconf function in the config script: do not ask the question
    when there is only one available option.  Thanks to Christian Perrier,
    closes: #529643.
  * config.proto: use explicitely pc105 as keyboard model on hppa.  Thanks
    to Samuel Thibault, closes: #531482.  I think hil keyboards were
    used only with old kernels and we won't find volunteer to test
    console-setup with such keyboards.
  * Add support for evdev keycodes.  Thanks to Samuel Thibault.
  * Do not define keys with only VoidSymbols.
  * Document in README.Debian which package configures the console when
    several console-configuring packages are installed.  Thanks to Kurt
    Roeckx, closes: #524233, #524239.
  * Compressed translations (size reduced from 1.1M to 200K).
  * Install uncompressed fonts in console-setup-fonts-udeb and
    console-setup-mini (setfont can not load compressed fonts if gunzip is
    not installed).  Thanks to Miroslav Kure.
  * Do not change the priority of the layout questions if preseeding is
    used.  This was the reason why keyboard could not be reconfigured in
    d-i.  Thanks to Christian Perrier.
  * Document in the default configuration file that HAL needs to be
    restarted if the file is changed.  Thanks to Petr Baudis,
    closes: #527620.
  * Do not issue warnings for unknown keycodes with AT keyboards (these
    are multimedia keys and they are unnecessary on the console).  Thanks
    to Anders Lagerås, closes: #531292.
  * Support for /etc/console-setup/remap.inc.  Thanks to Adeodato Simó,
    closes: #531478.
  * Respect the selected choices on <Go Back>.  Thanks to Frans Pop.
  * Do not ask charmap question in the udeb.  Thanks to Frans Pop.
  * Remove comments and indentation space from the scripts in
    console-setup-udeb and console-setup-mini in order to save space.
    Thanks to Frans Pop.
  * Allow Debconf to save charmap != UTF-8 in the configuration file even
    when console-setup-udeb or console-setup-mini is used.
  * Remove the model question from console-setup-udeb and console-setup-mini.
    By default do not change the keyboard when the model is unknown.
  * Remove the ttys question.
  * Do not ask questions when no keyboard is present.  Thanks for Frans
    Pop for requesting the feature and providing information.
  * Some code cleanup in the config script.
  * Delete .cvsignore and .svn in all udebs.
  * Remove the dependency on console-setup-fonts-udeb in console-setup-udeb.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 04 Jul 2009 13:11:07 +0300

console-setup (1.36) unstable; urgency=low

  [ Anton Zinoviev ]
  * Document the empty FONTFACE/FONTSIZE in the comments of the
    configuration file.
  * Remove obsoleted sentence from the README file.
  * Update Keyboard/ckb directory.
  * Rearrange the code in config.proto to make easier to specify
    selectively the priority of the layout question depending on the
    source of the default value.
  * Simply execute the config script in udebs postinst, do not source.
    Thanks to Christian Perrier, closes: #439633.
  * Use 'type' builtin instead of the 'which' tool that is not available
    in d-i.  Thanks to Samuel Thibauld for the suggestion.
  * Use /bin/sh as shell for the config script (instead of /bin/bash).
    Make the script /usr/share/console-setup-mini executable.  Thanks to
    Christian Perrier for the testing and finding these problems.
  * Give //TRANSLIT to iconv in the config script.  Thanks to yanu for
    reporting the problem and to Samuel Thibault for providing a patch.
    Closes: #529012.

  [ Debconf translations ]
  * Spanish. Closes: #529031

  [ Christian Perrier ]
  * Change debian-installer/console-setup/title to
    debian-installer/console-setup-udeb/title so that
    menu item localization works

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 15 May 2009 21:41:13 +0300

console-setup (1.35) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Treat the Kazakh layout (kz) as non-Latin (LP: #356816).
    - Set default layout for Morocco to 'ma'.
  * Handle temporary output files better in kbdcompiler (closes: #524556).

  [ Samuel Thibault ]
  * Fetch keyboard names translations from xkeyboard-config.

  [ Anton Zinoviev ]
  * Escape commas in Debconf questions.  Thanks to Raphaël Hertzog,
    closes: #528033.
  * Support unset font in Debconf configurator.  Thanks Dave Witbrodt,
    closes: #527641.
  * Kyrgyz keyboard is non-latin.  Proper defaults with ky_KG locale.
    Closes: #527643.
  * Correct a mistake in the manpage.  Thanks to Phil Endecott and
    Matthew King, closes: #527955, #528186.

  [ Debconf translations ]
  * Italian (new translation by Vincenzo Campanella). Closes: #521799.
  * Swedish. Closes: #528576
  * Russian. Closes: #528676
  * French

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 14 May 2009 21:42:14 +0300

console-setup (1.34ubuntu15) lucid; urgency=low

  * Make /usr/share/initramfs-tools/scripts/panic/console_setup executable.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Apr 2010 23:23:50 +0100

console-setup (1.34ubuntu14) lucid; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Apr 2010 00:08:23 +0100

console-setup (1.34ubuntu13) lucid; urgency=low

  * Remove iconv transliteration.  We don't use non-UTF-8 locales, and
    it breaks ubiquity as we haven't generated the configured locale by
    the time we hit console-setup (LP: #542310).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 26 Mar 2010 12:50:50 +0000

console-setup (1.34ubuntu12) lucid; urgency=low

  * console-setup-tty: Only call setfont once, for both font and ACM.
  * Don't try to call update-rc.d if it doesn't exist, such as in d-i
    (LP: #540835).
  * Don't gzip font or ACM files in /etc/console-setup/.  The space saving
    is negligible, and it's more efficient not to need to uncompress them at
    boot time.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 11:08:58 +0000

console-setup (1.34ubuntu11) lucid; urgency=low

  * Move boot tasks to a combination of two udev rules and a single Upstart
    job, ensuring that they're run at points when we are able to satisfy the
    constraints on the relevant ioctls.  This may not work optimally with
    vgacon, but you have to go to special effort to use that with Ubuntu
    now, and it at least shouldn't break (LP: #524439).
  * Set default layout for Guernsey, Jersey, and the Isle of Man to gb
    (LP: #533003).
  * Fix incorrect FONT and ACM tests in initramfs script.
  * Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    This was previously a recommends, but the udev rule won't work without
    kbd or console-tools anyway, I'm not really interested in supporting a
    system without either installed, and console-tools is thoroughly
    obsolete now.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 13 Mar 2010 12:56:30 +0000

console-setup (1.34ubuntu10) lucid; urgency=low

  * debian/console-setup.console-setup.init,
    debian/console-setup.keyboard-setup.init: Replace the usplash detection
    code with Plymouth detection code, since the same problem applies. 

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Feb 2010 13:14:32 +0000

console-setup (1.34ubuntu9) lucid; urgency=low

  * Generate a locale locally for translating keyboard names in
    kbnames-maker.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 04 Feb 2010 15:48:25 -0800

console-setup (1.34ubuntu8) lucid; urgency=low

  * Put kbdnames.gz in console-setup-udeb as well.
  * Don't filter out models from kbdnames as we still ask the model
    question.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 27 Jan 2010 17:22:19 +0000

console-setup (1.34ubuntu7) lucid; urgency=low

  * Merge support for translated keyboard names from Debian.
  * Update ckb/rules/base.xml to point at the new location.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 20 Jan 2010 15:22:34 +0000

console-setup (1.34ubuntu6) lucid; urgency=low

  * debian/console-setup.initramfs-hook: There's no harm having the hook
    run in the non-framebuffer case, it just copies things into the
    initramfs which may be useful.
  * debian/rules: That means we can copy the hook into scripts/panic as
    well (stripping the OPTION from it), so when we need a shell, we'll
    load the keymap.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 18 Dec 2009 14:56:03 +0000

console-setup (1.34ubuntu5) lucid; urgency=low

  * We don't need the initramfs hooks if the initramfs doesn't load the
    framebuffer or splash screen.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Dec 2009 14:56:59 +0000

console-setup (1.34ubuntu4) karmic; urgency=low

  * Fix backports of Asturian and Catalan changes in 1.34ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 20:27:35 +0100

console-setup (1.34ubuntu3) karmic; urgency=low

  [ LoÃ¯c Minier ]
  * Use `dpkg --print-architecture` instead of the obsolete
    --print-installation-architecture in debian/config.proto (LP: #403316).

  [ Colin Watson ]
  * Forbid Unicode keysyms in the range 0xf000-0xffff, as kbd 1.15-1 rejects
    the entire keymap if it contains any keysyms in that range (LP:
    #416949).
  * Add default codeset/layout/variant for Asturian.
  * Backport from trunk (Jordi Mallach):
    - Set XKBVARIANT to "cat" for Catalan.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 20:21:57 +0100

console-setup (1.34ubuntu2) karmic; urgency=low

  * Add an apport hook.
  * Update translations from Launchpad.
  * Backport from trunk (Anton Zinoviev, LP: #390292):
    - Do not issue warnings for unknown keycodes with AT keyboards (these
      are multimedia keys and they are unnecessary on the console).  Thanks
      to Anders LagerÃ¥s, closes: #531292.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Sep 2009 11:49:34 +0100

console-setup (1.34ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by console-setup/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.
    - If console-setup/layoutcode is preseeded but not marked as seen, then
      set the default layout but don't lower the layout question priority or
      preseed console-setup/ask_detect.
    - Treat the Kazakhstan layout (kz) as non-Latin.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 May 2009 20:51:20 +0100

console-setup (1.34) unstable; urgency=medium

  [ Colin Watson ]
  * Fix bashism.

  [ Anton Zinoviev ]
  * Remove committed by mistake debugging code.  Thanks to Colin Watson,
    closes: #527057.
  * Another attempt to fix properly #526862 (still not good for people
    using the combination OADG 109A + kana).

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 05 May 2009 15:05:21 +0300

console-setup (1.33) unstable; urgency=medium

  [ Colin Watson ]
  * Remove mention of long-dead devfs (closes: #524765).
  * Don't load a font if FONTFACE, FONTSIZE, and FONT are all unset.

  [ Anton Zinoviev ]
  * Do not use missing jp(latin) layout.  Fix bad configuration on
    upgrade.  Thanks to Osamu Aoki, closes: #526862.  Urgency set to
    medium because of this grave bug.
  * Make console-setup-mini to provide console-setup (in order to make it
    installable together with X).
  * Correction in template file: Control+period for Compose instead of
    Alt+period.  Thanks to Kurt Roeckx, closes: #524236.

  [ Debconf translations ]
  * Basque. Closes: #522565
  * Galician. Closes: #524261
  * French.
  * Bulgarian.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 04 May 2009 20:00:02 +0300

console-setup (1.32) unstable; urgency=low

  [ Anton Zinoviev ]
  * Make Alt+ScrollLock generate Show_Registers and Alt+up generate
    KeyboardSignal.  Thanks to Steve Cotton, closes: #523792.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 12 Apr 2009 18:32:49 +0300

console-setup (1.31) unstable; urgency=low

  [ Debconf translations ]
  * French corrections (thanks to Florentin Duneau)
  * Portuguese. Closes: #521224
  * Czech. Closes: #521660
  * German. Closes: #522107
  * Russian. Closes: #522305
  * Brazilian Portuguese. Closes: #522404
  * Spanish. Closes: #521806
  * Thai. Closes: #522534

  [ Frans Pop ]
  * Change default keyboard layout for Netherlands (NL) to us as the Dutch
    keyboard layout is only rarely used. This is in line with the existing
    default in console-data.

  [ Anton Zinoviev ]
  * Do not combine ctrll with plain when the layout contains unresolved
    NoSymbol.  Thanks to Steve Cotton, closes: #523559.
  * Recognize 'Option "XkbLayout" "layout(variant)" in xorg.conf.  Thanks
    to Josselin Mouette, closes: #523487.
  * Use the same mappings for (Alt\+|Control\+|AltGr\+|Shift\+)*F[0-9]+ as
    defkeymap.kmap and linux-keys-extd.inc.  Thanks to Bert Riding,
    closes: #523649.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 12 Apr 2009 16:51:46 +0300

console-setup (1.30) unstable; urgency=low

  [ Anton Zinoviev ]
  * Support for spaces in model, layouts, variants or options.  Thanks to
    Celejar (closes: #521122).
  * In Debconf properly regard two-layout combinations with non-empty
    variant of the first layout as unsupported.

  [ Debconf translations ]
  * Finish.
  * Swedish (closes: #520623)

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 27 Mar 2009 23:02:05 +0200

console-setup (1.29) unstable; urgency=low

  [ Anton Zinoviev ]
  * Better Arabic letters for VGA16 fonts.  Thanks to Ahmed El-Mahmoudy,
    closes: #485921.
  * I was suggested to use VGA font face instead of Terminus by
    default. Unfortunately in most cases VGA is incomplete so in these
    cases I used Fixed.  I don't think Fixed is better choice than
    Terminus so feel free to revert the defaults back to Terminus, they
    are in debian/config.proto around line 1770.  Thanks to Josh Triplett,
    closes: #497331.
  * Give VoidSymbol to plain or shifted PrintScreen key.  Patch provided
    by Colin Watson.  Thanks to Jason Spiro, closes: #501654.
  * Do not use Shift_Lock instead of Caps_Lock.  Use CtrlL_Lock for
    keymaps that need this.  Closes: #514212.  The idea was given by
    Samuel Thibault.  He also provided a patch for proper locale-based
    capitalization of the letters.
  * Do not ignore XF86_Switch_VT_* xkeysyms, closes: #514537.   Patch
    provided by Samuel Thibault.
  * Recognise the braille keys, closes: #514539.  Patch provided by Samuel
    Thibault.
  * Allow to specify more than one font in the configuration file in
    FONT=...  Thanks to Samuel Thibault, closes: #508862.
  * On first install read defaults for the keyboard layout from
    /etc/X11/xorg.conf.  Julien Cristau provided the script parsing
    xorg.conf. Closes: #515685.
  * Save cached keymap in /etc/console-setup/cached.kmap.gz if possible.
    Thanks to Frédéric Boiteux, closes: #509117.
  * Fix a bug: empty string as keyboard model in the config file when the
    user selects the default keyboard model.
  * Do not display error template when debconf doesn't support the layout in
    the config file.  Ask the user if the settings must be preserved.
    Debconf questions when the default values for layout or options
    (coming most likely from xorg.conf) are not supported.

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Fix property counts in Goha and legacy BDF fonts.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - If reading a user configuration file, disable --save, and don't use
      /etc/console-setup/cached.kmap.gz; using the cached file tends to
      cause confusion here since the maintainer scripts and init scripts are
      expecting that to correspond to the main configuration (LP: #332728).
    - Raise priority to critical for questions preseeded with a nonexistent
      code (LP: #328078).
  * Sort the null variant to the top of the choices list rather than to the
    bottom.
  * Make %.ekmap target depend on MyKeyboardNames.pl.
  * Use printf rather than /bin/echo in setupcon; it's typically a shell
    builtin and is therefore faster.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #520375
  * Debconf translations:
    - Brazilian Portuguese. Closes: #512457
    - French
    - Belarusian. Closes: #520828
    - Bulgarian

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 24 Mar 2009 20:53:51 +0200

console-setup (1.28ubuntu8) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.
  * Treat the Kazakhstan layout (kz) as non-Latin (LP: #356816).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 01:15:09 +0100

console-setup (1.28ubuntu7) jaunty; urgency=low

  * Raise priority to critical for questions preseeded with a nonexistent
    code (LP: #328078).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:45:13 +0000

console-setup (1.28ubuntu6) jaunty; urgency=low

  * Don't escape '(' and ')' when decoding/encoding the codeset, as the
    pattern is passed to grep and this causes parentheses to be interpreted
    as regular expression groups (thanks to Dmitry Agafonov for pointing out
    the problem).
  * If reading a user configuration file, disable --save, and don't use
    /etc/console-setup/boottime.kmap.gz (LP: #332728).
  * Update Keyboard/KeyboardNames.pl based on xkb-data 1.5-2ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Mar 2009 16:30:50 +0000

console-setup (1.28ubuntu5) jaunty; urgency=low

  * Backport from trunk:
    - Sort the null variant to the top of the choices list rather than to the
      bottom.
  * Set and check a flag on console-setup/dont_ask_layout to make sure that
    it's only asked at most once per package installation (LP: #320374).
  * Update Keyboard/KeyboardNames.pl based on xkb-data 1.4-1ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Jan 2009 12:07:37 +0000

console-setup (1.28ubuntu4) jaunty; urgency=low

  * Set plain or shifted PrintScreen key to generate VoidSymbol rather than
    Ctrl-backslash (LP: #279973).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Dec 2008 10:09:28 +0000

console-setup (1.28ubuntu3) jaunty; urgency=low

  * Create /dev/tty[1-6] in our initramfs script before trying to operate on
    them (LP: #130444).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2008 12:15:12 +0000

console-setup (1.28ubuntu2) jaunty; urgency=low

  * Default console-setup/ask_detect to false, since it's hard to back up
    out of the detection widget once you've entered it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Nov 2008 16:48:28 +0000

console-setup (1.28ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by console-setup/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.
    - If console-setup/layoutcode is preseeded but not marked as seen, then
      set the default layout but don't lower the layout question priority or
      preseed console-setup/ask_detect.
    - Fix property counts in Goha and legacy BDF fonts.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Nov 2008 14:36:26 +0000

console-setup (1.28) unstable; urgency=low

  [ Debconf translations ]
  * Belarusian. Closes: #487293

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2008 19:49:58 +0200

console-setup (1.27) unstable; urgency=low

  [ Debconf translations ]
  * French
  * Basque. Closes: #490363
  * Turkish. Closes: #490365
  * Thai
  * Bulgarian
  * Swedish. Closes: #490569
  * German. Closes: #490714
  * Portuguese. Closes: #491011
  * Vietnamese. Closes: #491046
  * Bulgarian
  * Czech
  * Galician

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Jul 2008 11:33:49 +0200

console-setup (1.26) unstable; urgency=low

  [ Colin Watson ]
  * Add a template for the main menu item name.

  [ Debconf translations ]
  * Russian. Closes: #487242
  * Basque. Closes: #487313
  * Turkish. Closes: #487439
  * Swedish. Closes: #487308

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Jul 2008 20:40:35 +0200

console-setup (1.25ubuntu3) intrepid; urgency=low

  * Fix property counts in Goha and legacy BDF fonts.
  * Switch from console-tools-udeb to kbd-udeb, in line with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Aug 2008 00:09:48 +0100

console-setup (1.25ubuntu2) intrepid; urgency=low

  * If console-setup/layoutcode is preseeded but not marked as seen, then
    set the default layout but don't lower the layout question priority or
    preseed console-setup/ask_detect (LP: #64058).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jun 2008 23:49:31 +0100

console-setup (1.25ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Switch back to console-tools-udeb for now.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by console-setup/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jun 2008 02:39:34 +0100

console-setup (1.25) unstable; urgency=low

  [ Anton Zinoviev ]
  * Correction in Debconf template - Terminus supports also Greek.
    Unfuzzy Belarusian and German translations.

  [ Debconf translations ]
    - French
    - Galician
    - German. Closes: #485457
    - Bulgarian
    - Vietnamese. Closes: #485779
    - Portuguese. Closes: #486090
    - Czech

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jun 2008 20:24:01 +0200

console-setup (1.24ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Switch back to console-tools-udeb for now.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by console-setup/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jun 2008 22:32:10 +0100

console-setup (1.24) unstable; urgency=medium

  [ Anton Zinoviev ]
  * Support for X key types such as PC_CONTROL_LEVEL2 and PC_ALT_LEVEL2.
    Never use ShiftR.  Thanks to Alexander E. Patrakov, closes: #484822.
    Urgency medium because #484822 is related to the default settings used
    by d-i for some languages.
  * Improved support for non 'KP_...' keys in the keypad block.
  * console-setup-mini and udebs: fix some bugs in modifiers in
    precompiled non-latin layouts
  * Support for some new X key symbols (some of them spelling errors).
  * ckbcomp: accept a list after virtual_modifiers
  * Debconf support for grp:alt_caps_toggle, grp:lctrl_lshift_toggle,
    grp:sclk_toggle, lv3:alt_switch, lv3:enter_switch, compose:lwin
  * Removed debconf support for grp:alts_toggle, grp:ctrls_toggle,
    grp:shifts_toggle, grp:shift_caps_toggle as it is impossible to
    support them on the console.
  * update Keyboard/ckb with the keyboard data of xkb-data version 1.3-1
    (this syncs console-setup-mini and udebs with the main package)
  * xmlreader: ignore tags languageList and countryList.
  * Remove dh_installxfonts from debian/rules.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 08 Jun 2008 21:30:54 +0300

console-setup (1.23) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct dependency info in init.d scripts to make sure they start
    after console-screen and keymap. Closes: #475826.

  [ Colin Watson ]
  * Map dead_stroke to U+002D HYPHEN-MINUS.
  * Support XKB rules with multiple consequents (thanks, Adam Simpkins;
    LP: #139710).
  * Allow specifying alternate rules using XKBRULES (thanks, Adam Simpkins;
    LP: #139712).
  * Handle some special cases for the KPDL key (LP: #189529).

  [ Debconf template translations ]
  * Galician. Closes: #480983.
  * German. Closes: #475045.
  * Portuguese. Closes: #478347.

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Jun 2008 18:40:29 +0200

console-setup (1.22) unstable; urgency=low

  [ Colin Watson ]
  * Proofread and correct debconf templates (LP: #181860).
  * Treat 'any' as a synonym for 'NoSymbol' in XKB input files (LP: #93077).

  [ Piarres Beobide ]
  * Debconf Basque translation. Closes: #469650

  [ Frans Pop ]
  * Add support for PA Semi's evaluation systems (#464429). Thanks to
    Olof Johansson for the patch.

  [ Anton Zinoviev ]
  * Use boottime.kmap.gz instead of ckbcomp in setupcon only if the
    default configuration is requested and boottime.kmap.gz is not older
    than /etc/default/console-setup.  The package has used
    boottime.kmap.gz since version 1.20.  This closes: #473217.
  * ckbcomp: define X key codes 214-217 for AT keyboards (multimedia,
    hence fake keys).  Thanks to Michael Biebl, Christoph Anton Mitterer
    and Juhapekka Tolvanen, closes: #444488.
  * Return the template configuration file in the udeb.
  * Update README.fonts - Terminus now supports Greek.  Add depends
    console-terminus > 4.26.
  * Install the manpages for ckbcomp and setupcon also in
    console-setup-mini.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 04 Apr 2008 22:41:21 +0300

console-setup (1.21ubuntu8) hardy; urgency=low

  * Rebuild against xkeyboard-config 1.1~cvs.20080104.1-1ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Apr 2008 20:40:40 +0100

console-setup (1.21ubuntu7) hardy; urgency=low

  * Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
    whether to allow preseeding, which is ordinarily only allowed in d-i
    (LP: #188492).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2008 11:49:55 +0100

console-setup (1.21ubuntu6) hardy; urgency=low

  * Handle some special cases for the KPDL key (LP: #189529).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Apr 2008 00:06:25 +0100

console-setup (1.21ubuntu5) hardy; urgency=low

  * Silence error messages for keycodes 214, 215, 216, and 217, which are
    various special keys in the default X.org PC keyboard map that we don't
    need to handle.
  * Map dead_stroke to U+002D HYPHEN-MINUS.
  * Add a "Do not configure keyboard; keep kernel keymap" model option,
    preseedable by console-setup/modelcode=SKIP (LP: #59889).
  * Drop the layout/variant priority to high on fresh installs
    (LP: #205959).
  * Support rules with multiple consequents (thanks, Adam Simpkins;
    LP: #139710).
  * Allow specifying alternate rules using XKBRULES (thanks, Adam Simpkins;
    LP: #139712).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Mar 2008 14:33:25 +0100

console-setup (1.21ubuntu4) hardy; urgency=low

  * Set default layout for Kurdish to tr(ku) (LP: #28683).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 13:46:06 +0000

console-setup (1.21ubuntu3) hardy; urgency=low

  * Set default layout for Vietnam to 'us' (LP: #191451).
  * Treat 'any' as a synonym for 'NoSymbol' in XKB input files (LP: #93077).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 14:05:12 +0000

console-setup (1.21ubuntu2) hardy; urgency=low

  * Set default for Dutch to us(intl), not just us (LP: #129982).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2008 00:14:54 +0000

console-setup (1.21ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Switch back to console-tools-udeb for now.
    - Stop running debconf-updatepo on clean.
  * Update for new layouts and variants for Japan, Montenegro, and Serbia,
    and migrate configuration files from the old layouts.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jan 2008 23:01:31 +0000

console-setup (1.21) unstable; urgency=low

  * Silently ignore 'vendor' tag in xorg.xml.
  * Use 'chomp' rather than 'chop' in ckbcomp to deal with XKB symbols files
    that are missing their final newline (closes: #461191).

 -- Colin Watson <cjwatson@debian.org>  Thu, 17 Jan 2008 12:58:25 +0000

console-setup (1.20) unstable; urgency=low

  [ Colin Watson ]
  * Set default model to pc105 on powerpc/ps3 and powerpc/cell systems.
  * Clean up the package description a little.
  * Only default to Canadian layout for fr_CA; use U.S. English for other
    *_CA locales (LP: #64418).
  * Improve ckbcomp(1) formatting.
  * Run setupcon with --save in the postinst to ensure that required data is
    copied to /etc.
  * Load the saved keymap in /etc/console-setup/boottime.kmap.gz if
    available rather than running ckbcomp (which is slow), unless we're
    being called with --save or --save-only.

  [ Debconf templates translations ]
  * Belarusian. Closes: #447109
  * Galician. Closes: #447940
  * Russian.

  [ Christian Perrier ]
  * Correct "Provides:" in console-setup init script to allow insserv
    to insert console-setup properly in the boot sequence.
    Thanks to Petter Reinholdtsen for the patch. Closes: #458486
  * Add the required "Default-Stop" and "Required-Stop" fields in the
    init.d/console-setup script.
  * Set myself as Uploader.
  * Fixing lintian warnings:
    - Remove "perl, libxml-parser-perl" from Build-Depends. They were
      duplicated in Build-Depends-Indep
    - Do not ignore non-zero exit status of "make maintainer-clean" in the
      clean target
    - Turn console-setup/dont_ask_layout into an error template. That'll
      get rid of the lintian warning and this is more accurate anyway.
  * Fixing lintian errors:
    - No longer install an example file in
      /usr/share/doc/console-setup-mini/examples/console-setup
      for the udeb package

  [ Petter Reinholdtsen ]
  * Correct "provides" header in init.d/keyboard-setup too.
  * Correct dependencies of init.d/keyboard-setup and
    init.d/console-setup to reflect their intended start sequence.
  * Add the required "Default-Stop" and "Required-Stop" fields in the
    init.d/keyboard-setup script.
  * Update standards-version from 3.7.2 to 3.7.3.  No changes needed.
  * Add lintian override to make it that
    /usr/share/console-setup/KeyboardNames.pl is not executable.

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Jan 2008 09:04:03 +0100

console-setup (1.19ubuntu3) hardy; urgency=low

  * Set default layout for Dutch to 'us' (LP: #129982).
  * Set default layout for Simplified Chinese to 'cn'.
  * Set default layout for Morocco to 'ma'.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jan 2008 17:11:21 +0000

console-setup (1.19ubuntu2) hardy; urgency=low

  * Handle an empty codeset in the configuration file gracefully (a remnant
    of a previous bug, perhaps Debian #420802?), and re-ask the question on
    upgrade (LP: #91399).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Jan 2008 00:30:07 +0000

console-setup (1.19ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Only default to Canadian layout for fr_CA; use U.S. English for other
      *_CA locales.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Set default model to pc105 on powerpc/ps3 systems.
  * Switch back to console-tools-udeb for now; we'd like to use kbd for
    Hardy, but Alpha 1 is looming ...
  * Stop running debconf-updatepo on clean; this is not standard in d-i and
    should be done manually where necessary in Ubuntu.
  * Backport from trunk:
    - Run setupcon with --save in the postinst to ensure that required data
      is copied to /etc.
    - Load the saved keymap in /etc/console-setup/boottime.kmap.gz if
      available rather than running ckbcomp (which is slow), unless we're
      being called with --save or --save-only.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Nov 2007 15:05:15 +0000

console-setup (1.19) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Fix additional ellipsis in keyboard-setup initscript. (Closes: #435285)

  [ Otavio Salvador ]
  * Provides keyboard-setup virtual package.

  [ Anton Zinoviev ]
  * ckbcomp: '#' is also a comment character.  Thanks to Matt Kraai,
    closes: #443709.

  [ Debconf templates translations ]
  * German. Closes: #438395

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 23 Sep 2007 20:10:44 +0300

console-setup (1.18) unstable; urgency=low

  * In d-i environment read the encoding from debian-installer/charset
    variable.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 15 Jul 2007 23:50:29 +0300

console-setup (1.17) unstable; urgency=low

  * Add a manual page for ckbcomp.  Thanks to Vassilis Pandis,
    closes: #405005.
  * Apply a patch by Colin Watson:
    - enable udebs;
    - remove unhelpful defaults for several questions;
    - allow preseeding of console-setup/modelcode,
      console-setup/layoutcode, console-setup/variantcode,
      console-setup/optionscode, and console-setup/fontsize;
    - remove outdated note about loadkeys in console-setup-udeb's
      description;
    - Add a few bits of installer integration to console-setup-udeb
      borrowed from kbd-chooser.
    I disabled the code for making UTF-8 default charmap in d-i because
    there are locales which use other charmap.  However I made setupcon to
    always use UTF-8 in d-i environment.
  * Updated French and Dutch translations, new Portuguese.  Thanks to
    Pedro Ribeiro, Jean-Luc Coulon and Bart Cornelis.
    Closes: #424665, #425773, #426082.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 15 Jul 2007 16:35:55 +0300

console-setup (1.16ubuntu5) gutsy; urgency=low

  * Rebuild against xkb-data 0.9-4ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Sep 2007 12:53:36 +0100

console-setup (1.16ubuntu4) gutsy; urgency=low

  * Set default model to pc105 on powerpc/ps3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Jun 2007 14:12:20 +0100

console-setup (1.16ubuntu3) gutsy; urgency=low

  * Remove 'exit 0' from the end of debian/config.proto; this will be
    sourced from the postinst in the installer, and exiting in the
    successful case means that /etc/default/console-setup never gets
    generated (thanks, Evan Dandrea).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jun 2007 22:53:23 +0100

console-setup (1.16ubuntu2) gutsy; urgency=low

  * Make Keyboard/keymaptree executable again.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 03 Jun 2007 21:30:57 +0100

console-setup (1.16ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Only default to Canadian layout for fr_CA; use U.S. English for other
      *_CA locales.
    - Set default charmap for d-i to UTF-8.
    - Remove unhelpful defaults for several questions.
    - Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
      console-setup/variantcode, console-setup/optionscode, and
      console-setup/fontsize.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Add a few bits of installer integration to console-setup-udeb borrowed
      from kbd-chooser.
    - console-setup Depends: perl; something in ckbcomp is causing perl to
      'use utf8' implicitly, and some of the necessary modules aren't in
      perl-base.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Use 'setupcon --save-only' to make sure the font is available on the
      root filesystem for the next boot but not to load it immediately,
      avoiding console manipulation when X or usplash is running.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - debian/control: Remove outdated note about loadkeys in
      console-setup-udeb's description.
  * Allow kbd's initramfs hook as an alternative to that provided by
    console-tools.
  * Don't run 'setupcon -k' from rcS if usplash is running, as that means
    the console will be in raw mode and loadkeys will do confusing things to
    the keymap (LP: #84156).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 03 Jun 2007 14:53:42 +0100

console-setup (1.16) unstable; urgency=low

  * Update ckbconf with the most recent list of xkeysyms.
  * Thanks to Colin Watson and Ubuntu team for the many bugs and
    improvements fixed in this release.  Patches were provided by Colin
    Watson:
    - Do not sorce the debconf library in the middle of the postinst,
      closes: #420831.
    - Remove from the source package several directories
      debian/UDEB-PACKAGE-NAME.  (The udebs were removed from
      debian/control before running the clean target.)  Closes: #420912.
    - Map fr_CH locale to Swiss French default keyboard
      layout in config.proto.  Closes: #420828.
    - Pass xkbdir variable on the make-command line, because else its
      value is overriden and the keymap definitions in Keyboard/ckb are
      used.  Closes: #420827.
    - A new option --save-only for setupcon.
    - Ship KeyboardNames.pl and kbdnames-maker.  Closes: #420914.
    - Fix Esperanto locale check in config.proto, closes: #420785.  Make
      'epo' the default layout for Esperanto.
    - The Bosnian layout is 'ba', not 'bs'.  Closes: #420787.
    - The layout variant is 'deva', not 'dev'.  Closes: #420797.
    - Do not leave empty default codeset for unsupported locales.
      Closes: #420802.
    - Use 'jp(latin)' instead of 'us' in the Latin mode of Japanese
      keyboards.  Override the keyboard model if it was chosen by default
      and the layout is Japanese or Brasilian.  Closes: #420824.
    - Add --save-only option to setupcon.  Closes: #420832.
    - Multiply the Installer-Menu-Item field of the udebs by 100.
      Closes: #421260.
    - By default do not use AltGr with basic US keyboard.  Closes: #421263.
    - Make sure amiga, ataritt, sun4 and sun5 are in KeyboardNames.pl even
      if they are not in the xml database.  Closes: #420821.
    - Talk about 'national' instead of 'non-Latin' mode in the templates.
      Treat the Lithuanian keyboard as a two-mode keyboard similarly to
      the Serbian keyboard.  Closes: #421261.
  * Do not ignore the Control+ and Alt+non_symbol_key combinations.
    Thanks to Karsten Hilbert, closes: #421796.
  * Two additions to the FAQ:
    - Add a suggestion for the VBERestore option.  Thanks to Dmitry
      Semyonov, closes: #402143.
    - Document CapsLock working as ShiftLock in Unicode mode.
  * Added manual page for setupcon.  Thanks to Vassilis Pandis,
    closes: #405005.
  * Added Dutch translation.  Thanks to Bart Cornelis, closes: #415518.
  * Updated Bulgarian translation.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue,  1 May 2007 23:48:12 +0300

console-setup (1.15ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian (LP: #94177). Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Ship MyKeyboardNames.pl (as KeyboardNames.pl) and kbdnames-maker in
      /usr/share/console-setup.
    - Only default to Canadian layout for fr_CA; use U.S. English for other
      *_CA locales.
    - Fix default layout for Bosnian and default variant for Hindi.
    - Set default charmap for d-i to UTF-8.
    - Remove unhelpful defaults for several questions.
    - Adjust the default keyboard model for Brazilian and Japanese layouts.
    - Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
      console-setup/variantcode, console-setup/optionscode, and
      console-setup/fontsize.
    - Use jp(latin),jp rather than us,jp by default for Japanese.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Add a few bits of installer integration to console-setup-udeb borrowed
      from kbd-chooser.
    - console-setup Depends: perl; something in ckbcomp is causing perl to
      'use utf8' implicitly, and some of the necessary modules aren't in
      perl-base.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Map fr_CH to ch(fr) (Swiss French).
    - Fix codeset question priority for Esperanto.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Add a --save-only option to setupcon, to save the keyboard/font on the
      root filesystem but not actually tell the kernel to set it up. Use it
      to make sure the font is available on the root filesystem for the next
      boot but not to load it immediately, avoiding console manipulation
      when X or usplash is running.
    - Set keymap and font in the initramfs if possible.
    - Add lt to list of non-Latin keymaps.
    - Set default variant for French to oss.
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - Source debconf confmodule earlier in postinst.
    - Fix horrible confusion if the locale has no supported default codeset.
    - Fix console-setup/codeset default to be one of the available choices.
    - Don't set an AltGr key by default for US layouts.
    - Add amiga, ataritt, sun4, and sun5 models, since they are used as
      defaults on certain architectures.
    - Map keycode 133 to AT scancode 124 for Japanese.
  * debian/config.proto: Set sparc default model to pc105 (LP: #105595).
  * debian/control: Multiply Installer-Menu-Item number by 100.
  * debian/control: Remove outdated note about loadkeys in
    console-setup-udeb's description.
  * debian/console-setup.postinst: Drop font fixups for upgrades from
    development versions of Edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Apr 2007 11:52:52 +0100

console-setup (1.15) unstable; urgency=low

  * Updated Georgian letters for Fixed16 and Fixed14.  Thanks to Vladimer
    Sichinava.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 14 Mar 2007 21:50:54 +0200

console-setup (1.14) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Czech. Closes: #408602
    - Spanish. Closes: #412128
    - Galician. Closes: #413356
    - Convert French to UTF-8

 -- Christian Perrier <bubulle@debian.org>  Sun,  4 Mar 2007 19:54:11 +0100

console-setup (1.13ubuntu13) feisty; urgency=low

  * debian/console-setup.console-setup.init: Don't break if fgconsole fails.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Apr 2007 16:16:08 +0100

console-setup (1.13ubuntu12) feisty; urgency=low

  * Map keycode 133 to AT scancode 124 for Japanese (thanks, Jun Kobayashi;
    LP: #97466).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Apr 2007 16:48:15 +0100

console-setup (1.13ubuntu11) feisty; urgency=low

  * Add amiga, ataritt, sun4, and sun5 models, since they are used as
    defaults on certain architectures (LP: #97225).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Apr 2007 10:11:03 +0100

console-setup (1.13ubuntu10) feisty; urgency=low

  * Source debconf confmodule earlier in postinst (it should always be
    sourced as early as possible, as it re-executes the calling script).
  * Fix horrible confusion if the locale has no supported default codeset
    (LP: #84401).
  * Fix console-setup/codeset default to be one of the available choices.
  * Try harder to ensure that we aren't running under X when deciding
    whether to run setupcon on upgrade (thanks to Kurt J. Bosch for
    suggestions; LP: #93338).
  * Don't set an AltGr key by default for US layouts (LP: #76901).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  1 Apr 2007 16:49:02 +0100

console-setup (1.13ubuntu9) feisty; urgency=low

  * Keyboard/kbdcompiler: Fix keymap reduction not to try to express keymap
    A in terms of keymap B when B includes keys not mapped by A, fixing a
    number of incorrectly-reduced keymaps (LP: #74375).
  * Keyboard/kbdcompiler: Update handling of jp to match
    debian/config.proto.
  * Keyboard/keymaptree.use: Remove jp; we cannot detect it correctly
    without further intelligence, as it's designed for jp106 keyboard
    models.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Mar 2007 10:06:05 +0000

console-setup (1.13ubuntu8) feisty; urgency=low

  * Fix handling of commas in layout and variant names.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Mar 2007 20:05:00 +0000

console-setup (1.13ubuntu7) feisty; urgency=low

  * Add lt to list of non-Latin keymaps (LP: #38931).
  * Map Caps Lock to Shift Lock for Turkish layouts.
  * Build keymap tree from MyKeyboardNames.pl rather than KeyboardNames.pl.
  * Add fr:oss to keymap tree.
  * Set default variant for French to oss (LP: #89835).
  * Remove Keyboard/*.tree on clean.
  * Fix six files in debian/ that were supposed to be symlinks.
  * Move console-setup-udeb's post-base-installer script to be a
    base-installer script instead, so that console-setup will be configured
    properly along with the initramfs during debootstrap.
  * Set Maintainer to me.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Mar 2007 12:09:57 +0000

console-setup (1.13ubuntu6) feisty; urgency=low

  * Set keymap and font in the initramfs if possible. Setting these as early
    as possible is a good thing; we can't set up the font correctly once
    usplash is running; and setting up the font between usplash and X
    requires an ugly mode switch.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jan 2007 14:21:24 +0000

console-setup (1.13ubuntu5) feisty; urgency=low

  * Add a --save-only option to setupcon, to save the keyboard/font on the
    root filesystem but not actually tell the kernel to set it up.
  * Back out part of setup-console-under-usplash changes: attempts to change
    the font must be guarded against being run while on an X display or
    while usplash is running, because some kernel console drivers (at least
    vgacon) are fundamentally unable to change the font only on some virtual
    consoles, and will corrupt video memory if you try (LP: #73955). We now
    use setupcon --save-only to make sure the font is available on the root
    filesystem for the next boot but don't load it immediately.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Jan 2007 20:08:33 +0000

console-setup (1.13ubuntu4) feisty; urgency=low

  * Include ro(std) in keymap tree, after talking with Eddy PetriÅor.
  * Disable workaround in ckbcomp for the kernel not applying Caps Lock to
    non-ASCII letters; the cure is worse than the disease because it makes
    Caps Lock equivalent to Shift Lock (LP: #69725).
  * Install MyKeyboardNames.pl (built from /usr/share/X11/xkb) rather than
    KeyboardNames.pl (built from the out-of-date copy in Keyboard/ckb) as
    /usr/share/console-setup/KeyboardNames.pl (LP: #71864).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Jan 2007 14:15:04 +0000

console-setup (1.13ubuntu3) feisty; urgency=low

  * Remove ch(fr) from keymap tree again; it's not distinguishable from ch
    without checking shift key state, which keymapper currently doesn't do.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Nov 2006 11:28:48 +0000

console-setup (1.13ubuntu2) feisty; urgency=low

  * Make Keyboard/keymaptree executable again.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Nov 2006 20:09:22 +0000

console-setup (1.13ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Ship KeyboardNames.pl and kbdnames-maker in /usr/share/console-setup.
    - Only default to Canadian layout for fr_CA; use U.S. English for other
      *_CA locales.
    - Fix default layout for Bosnian and default variant for Hindi.
    - Set default charmap for d-i to UTF-8.
    - Remove unhelpful defaults for several questions.
    - Adjust the default keyboard model for Brazilian and Japanese layouts.
    - Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
      console-setup/variantcode, console-setup/optionscode, and
      console-setup/fontsize.
    - Use jp(latin),jp rather than us,jp by default for Japanese.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Skip now-unnecessary console check in init scripts.
    - Fix up font face and size on upgrading from old versions in Edgy.
    - Add a few bits of installer integration to console-setup-udeb borrowed
      from kbd-chooser.
    - console-setup Depends: perl; something in ckbcomp is causing perl to
      'use utf8' implicitly, and some of the necessary modules aren't in
      perl-base.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
  * Restore udeb generation.

  * Map fr_CH to ch(fr) (Swiss French).
  * Include ch(fr) in keymap tree.
  * Fix codeset question priority for Esperanto.
  * Remove X and usplash checks in keyboard-setup and console-setup init
    scripts, since neither are needed following the fix in console-setup
    1.7ubuntu19.
  * Allow setupcon to be run on install again, for the same reason.
  * Automatically save the font and keymap to /etc in
    /etc/init.d/console-setup if it isn't being run from init; this allows
    us to tolerate XKB data being moved to /usr. Similarly, ensure that the
    font and keymap are saved to /etc during initial installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Nov 2006 18:09:32 +0000

console-setup (1.13) unstable; urgency=low

  * Unfuzzy the translations.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Nov 2006 21:24:44 +0200

console-setup (1.12) unstable; urgency=low

  * standards.equivalents: approximate symbols used by some popular
    console applications.
  * New German translation.  Thanks to Matthias Julius, closes: #396815.
  * Updated French translation.  Thanks to Jean-Luc Coulon, closes: #398023.
  * Allign the choices of console-setup/codeset.
  * Updated Fonts/bdf/georgian16.psf (author: Gia Shervashidze).  Update
    provided by Vladimer Sichinava.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Nov 2006 17:30:40 +0200

console-setup (1.11) unstable; urgency=low

  * Instead of X keycode 123 (<KPDC>) map X keycode 211 (<AB11>) to kernel
    keycode 89.  Thanks to Rafael Almeida, closes: #394962.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 24 Oct 2006 21:08:24 +0300

console-setup (1.10) unstable; urgency=low

  * Update ckbcomp for the new xkb-data (now not all xkb_keycodes in
    keycodes/macintosh are old macintosh).

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 23 Oct 2006 11:54:06 +0300

console-setup (1.9) unstable; urgency=low

  * Remove the udebs in order to make the migration from unstable to
    testing automatic.
  * Update the version of the Terminus font from 4.16 to 4.20.  (This is
    not important for Debian, since in Debian the Terminus font is
    provided by the console-terminus package.)
  * New mini-font georgian16.bdf to be used for the Georgian letters in
    Fixed16, author: Gia Shervashidze.  Thanks to Vladimer Sichinava.
  * Add FAQ.  Thanks to Thue Janus Kristensen, closes: #389963, #389970.
  * Fix two problems reported by Martin-Éric Racine.  Closes: #393850.
    - console-setup-mini should not ask questions in debconf for the encoding
      since only UTF-8 is supported.
    - make the purpose of the codeset question clearer.
  * Use user-friendly choices in the codeset question.
  * Updated Bulgarian translation of the templates.
  * Add some capital Greek letters to standard.equivalents and approximate
    BOX DRAWINGS HEAVY HORIZONTAL by BOX DRAWINGS LIGHT HORIZONTAL.
  * Make the bullet to be the first symbol in useful.set - it is used by w3m.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Oct 2006 01:53:11 +0300

console-setup (1.8) unstable; urgency=low

  * setupcon: new option --force to skip the 'are we on the console'
    check.  To be used for d-i because there /proc/self/fd/2 points to
    pipe.  Thanks to Tollef Fog Heen.
  * config.proto: Handle C locale with debian-installer/locale not being
    available.  Thanks to Colin Watson for the bug report and the patch,
    closes: #386835.
  * config.proto: Handle properly the case when the user backs up from the
    first Debconf question.  In the template file change "none" to "this
    default value is completely ignored".  Thanks to Colin Watson,
    closes: #386837.
  * Handle properly the cs layout in config.proto and kbdcompiler.  Thanks
    to Colin Watson, closes: #386838.
  * Supply correct debian/po/POTFILES.in.  Thanks to Thomas Huriaux,
    closes: #387631.
  * Use /lib/lsb/init-functions in the init scripts when available.
    Thanks to Colin Watson, closes: #386844.
  * config.proto: Try to use the value of debian-installer/keymap to get
    default keyboard layout and variant and when that is possible ask the
    corresponding Debconf questions with medium instead of critical
    priority.  Thanks to Colin Watson, closes: #386836.
  * config.proto(ask_debconf): when the provided default value is
    unavailable, try to use the empty string.  Useful when asking for the
    keyboard variant.
  * Add README.Debian for console-setup.
  * Add boot script order header to the init scripts.  Thanks to
    Martin-Éric Racine, closes: #386545.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 19 Sep 2006 11:56:15 +0300

console-setup (1.7ubuntu19) edgy; urgency=low

  * If upgrading from an older version than this one, check for the Terminus
    font face and change it to VGA (if you do like it, you can change it
    back and it won't be touched again). If Terminus was in use, also check
    for the 12x6 font size and change it to 16, since that was apparently
    selected due to a strange use-of-debconf bug.
  * Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
    tty, since the current tty might belong to X and changing X's tty out of
    raw mode is a very bad idea (closes: Malone #66929; requires kbd 1.12-15
    or console-tools 1:0.2.3dbs-62ubuntu10).
  * Adjust the default keyboard model for Brazilian (closes: Malone #66774)
    and Japanese (closes: Malone #66719) layouts.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 20:16:09 +0100

console-setup (1.7ubuntu18) edgy; urgency=low

  * Change the default font to VGA where supported; Terminus does not seem
    to have widespread aesthetic appeal.
  * Use jp(latin),jp rather than us,jp by default for Japanese, and set the
    model to jp106 (closes: Malone #63915).
  * Build-depend on keymapper (>= 0.5.3-7) for improved Alt-handling logic.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 02:42:15 +0100

console-setup (1.7ubuntu17) edgy; urgency=low

  * Only default to Canadian layout for fr_CA; use U.S. English for other
    *_CA locales (closes: Malone #64418).
  * Install kbdnames-maker in /usr/share/console-setup, to make it easier
    for non-Perl programs to use KeyboardNames.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Oct 2006 12:52:36 +0100

console-setup (1.7ubuntu16) edgy; urgency=low

  * Backport from trunk (Anton Zinoviev, closes: Malone #63921):
    - New mini-font georgian16.bdf to be used for the Georgian letters in
      Fixed16, author: Gia Shervashidze.  Thanks to Vladimer Sichinava.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 11:37:15 +0100

console-setup (1.7ubuntu15) edgy; urgency=low

  * Fix build failure caused by wrong path to KeyboardNames.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 15:44:59 +0100

console-setup (1.7ubuntu14) edgy; urgency=low

  * Ship KeyboardNames.pl in /usr/share/console-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 11:09:27 +0100

console-setup (1.7ubuntu13) edgy; urgency=low

  * Remove obsolete XORGCONFIGFILE variable.
  * Reset console-setup/toggle to the default if it's set to "No toggling"
    and you select a non-Latin layout (closes: Malone #63178).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Oct 2006 14:47:58 +0100

console-setup (1.7ubuntu12) edgy; urgency=low

  * Don't run the init script (and thereby setupcon) on upgrade; just print
    a message telling you to run setupcon from a virtual console if you want
    to update your console configuration (closes: Malone #61723).
  * Update debian-installer/keymap handling from trunk (Anton Zinoviev).
    Drop /etc/X11/xorg.conf upgrade handling, also per trunk, as I've been
    convinced that that is much less safe due to the prevalence of GNOME/KDE
    keymap overrides, and furthermore it made it more difficult to have
    ubiquity tell console-setup just to guess a default from the locale.
  * Drop the priority of the model and layout questions to medium if a
    configuration file already exists, since they'll have been asked at
    medium first time round and if we then ask them at critical the second
    time round they will be unexpectedly shown (closes: Malone #59883).
  * Backport from trunk:
    - config.proto: Handle properly the case when the user backs up from the
      first Debconf question.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 Sep 2006 00:40:48 +0100

console-setup (1.7ubuntu11) edgy; urgency=low

  * Fix default layout for Bosnian and default variant for Hindi.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 15:57:23 +0100

console-setup (1.7ubuntu10) edgy; urgency=low

  * console-setup Depends: perl; something in ckbcomp is causing perl to
    'use utf8' implicitly, and some of the necessary modules aren't in
    perl-base (closes: Malone #60203).
  * Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
    console-setup/variantcode, console-setup/optionscode, and
    console-setup/fontsize.
  * Don't set up the console font at boot time if usplash is running, since
    that seems to trigger a kernel bug that corrupts the usplash display
    (closes: Malone #60483).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Sep 2006 01:01:54 +0100

console-setup (1.7ubuntu9) edgy; urgency=low

  * Switch build-dependency and dependency back to xkb-data, now that it's
    fixed. Make the dependencies versioned until after Edgy is released to
    avoid problems with partially-upgraded systems where only the broken
    xkb-data is installed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Sep 2006 10:24:20 +0100

console-setup (1.7ubuntu8) edgy; urgency=low

  * Add setupcon --force option and use it in postinst (Anton Zinoviev,
    http://lists.alioth.debian.org/pipermail/pkg-kbd-devel/2006-August/000278.html).
  * Check $DISPLAY rather than /proc/self/fd/2 in /etc/init.d/keyboard-setup
    and /etc/init.d/console-setup; use setupcon --force.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Sep 2006 09:47:36 +0100

console-setup (1.7ubuntu7) edgy; urgency=low

  * Handle debian-installer/locale not being available (closes: Malone
    #59718).
  * Remove stray Keyboard/amiga.ekmap in source package.
  * Fix a potential infinite loop in the config script while moving past the
    variant question with an unsupported layout.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Sep 2006 12:07:53 +0100

console-setup (1.7ubuntu6) edgy; urgency=low

  * If there's no console-setup configuration when console-setup.config
    runs, then:
    - If there is an xorg.conf, set the defaults from there.
    - Failing that, if debian-installer/keymap is set, try to guess correct
      defaults from that using the same algorithm as formerly applied by
      xserver-xorg.config. The only serious change I made to the algorithm
      is that it now maps (mac-usb-)uk to plain gb, not gb(intl), since
      that's closer to what UK keyboard users generally expect.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  8 Sep 2006 00:13:26 +0100

console-setup (1.7ubuntu5) edgy; urgency=low

  * Only call setupcon from postinst script if /lib/debian-installer exists,
    to make sure we're really in d-i. (Calling setupcon from X appears to
    make things rather messy.)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 17:11:12 +0100

console-setup (1.7ubuntu4) edgy; urgency=low

  * Remove cs from the list of non-Latin layouts, as it has special
    per-variant handling.
  * Fix syntax error in config script.
  * Don't try to use the detect-keyboard plugin if running noninteractively.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 15:39:38 +0100

console-setup (1.7ubuntu3) edgy; urgency=low

  * Use keymapper to generate decision trees for a restricted subset of the
    pc105 model. (I tried building trees for the whole model, but this took
    far too long.)
  * If the detect-keyboard debconf plugin is available
    (cdebconf-newt-detect-keys in the installer), then offer to use it to
    detect the keyboard layout.
  * Fix debian/po/POTFILES.in to point to console-setup.templates.
  * Make console-setup-udeb depend on console-setup-fonts-udeb, at least for
    now.
  * Convert init script to LSB logging functions.
  * Add a few bits of installer integration to console-setup-udeb borrowed
    from kbd-chooser (/lib/debian-installer.d/S55console-setup,
    post-base-installer hook).
  * Temporarily build-depend and depend on just xkeyboard-config to work
    around Malone #59220.
  * Set default charmap for d-i to UTF-8.
  * Remove unhelpful "none" defaults for several questions.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 09:18:42 +0100

console-setup (1.7ubuntu2) edgy; urgency=low

  * Make console-setup-udeb depend on console-tools-udeb.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 23 Aug 2006 14:36:58 +0200

console-setup (1.7ubuntu1) edgy; urgency=low

  * Call setupcon with input and output from /dev/tty in postinst and make
    sure setupcon understands that properly.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 23 Aug 2006 12:54:27 +0200

console-setup (1.7) unstable; urgency=low

  [ Christian Perrier ]
  * Updated French translation
  * Added Czech translation. Closes: #360333

  [ Anton Zinoviev ]
  * Keyboard/ckbcomp: include /usr/share/X11/xkb to the list of
    directories for keyboard data.  The data from /etc/console-setup/ckb
    are still the default.
  * Sync the Keyboard/ckb data with the data in xkb-data package, version
    0.8-5.  Update ckbcomp with two new keysyms (Cyrillic_(CHE|KA)_vertbar).
  * Do not package the keyboard data.  Depend on xkb-data.  Thanks to
    Denis Barbier, closes: #359775.
  * Fix a shell syntax error in debian/config.proto that causes
    installation of console-setup to hang on powerpc.  Thanks to Colin
    Watson, closes: #374765.
  * ckbcomp: new option -compact to generate compact keymaps.
  * New experimental package console-setup-mini and udebs for d-i.
  * Correct a typo in the Bulgarian translation.  Thanks to Yavor Doganov,
    closes: #359677.
  * Updated Standards-Version: 3.7.2

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 22 Jul 2006 23:00:00 +0300

console-setup (1.6) unstable; urgency=low

  [ Anton Zinoviev ]
  * Few comments in debian/templates.
  * Document in console-setup/fontsize-fb template that non 8-pixel wide
    fonts can not be used with console-tools.  Add a warning in setupcon
    if the user tries to use such fonts with console-tools.  Thanks to
    Hans Ulrich Niedermann, closes: #352911.
  * debian/postinst: protect in double quotes the variables read from
    $CONFIGFILE.  Thanks to Jonas Meurer, closes: #353525.
  * ckbcomp: Do not interpret xkeysyms such as F10, F11 and F12 as
    hexadecimal numbers.  Thanks to Bálint Balogh, closes: #354564.
  * Debconf: if there are unrecognised options, do not override the value
    of XKBOPTIONS in /etc/default/console-setup.  Thanks to Javier Kohen,
    closes: #354473.
  * Updated Bulgarian translation.

  [ Christian Perrier ]
  * Added French translation. Closes: #354446

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 19 Mar 2006 23:53:42 +0200

console-setup (1.5) unstable; urgency=low

  * In the Debconf question for the font size add an information that some
    of the font sizes are non available in text mode and with radeonfb.
    Thanks to Hans Ulrich Niedermann, closes: #352911.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 15 Feb 2006 12:22:04 +0200

console-setup (1.4) unstable; urgency=low

  * Make debconf templates a bit less verbose.  Make them compliant with
    writing style recommended in the developers references.  Thanks to
    Christian Perrier for the patch, closes: #352772.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 14 Feb 2006 20:52:24 +0200

console-setup (1.3) unstable; urgency=low

  * Make the Debconf config script not override the user's answers with
    default values when executed at postinst time.  Thanks to Juhapekka
    Tolvanen, closes: #352299.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Feb 2006 21:41:20 +0200

console-setup (1.2) unstable; urgency=low

  * Fix some bugs related to non-UTF8 modes:
    - setupcon always sets up the first console in UTF-8 mode
    - setupcon doesn't load ACM in the first console if kbd is used
    - ckbcomp has to interpret the "acute" Xkeysym as apostrophe.
    Thanks to Norbert Preining, closes: #352449.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Feb 2006 21:37:42 +0200

console-setup (1.1) unstable; urgency=low

  * Run setupcon in postinst.  Thanks to Recai Oktaş for the suggestion.
  * Setupcon uses /proc/self/fd/2 (standard error) instead of
    /proc/self/fd/0 (standard output) in order to determine whether we are
    on the console or not.  That way setupcon can detect that we are on
    the console even when it is invoked from postinst and Debconf has
    changed standard input and output.
  * Changes in the text of some questions: "What is the origin of our
    keyboard" instead of "What is the layout of your keyboard" and "What
    is the layout of your keyboard" instead of "What is the variant of
    your keyboard".  Ask the console-setup/variant question with critical
    priority.  Thanks to Arnt Karlsen, closes: #352405.
  * Fix the true/yes discrepancy in setupcon which caused the options -k
    and -f not to work.
  * Updated Bulgarian translation.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 11 Feb 2006 23:24:54 +0200

console-setup (1.0) unstable; urgency=low

  * Initial release
  * Turkish translation by Recai Oktaş (thanks also for initial testing
    and pointing few typos).

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 14 Jan 2006 16:20:35 +0200

